/*
 *   OV48B_ECO_AM03
 */
// generated by sensor driver assistant.
#ifndef _OVA0B40MIPIRAW_SETTING_H
#define _OVA0B40MIPIRAW_SETTING_H
#include "ova0b40mipiraw_Sensor.h"

static void write_cmos_sensor(kal_uint16 addr, kal_uint8 para);
static kal_uint16 read_cmos_sensor(kal_uint16 addr);
static kal_uint16 table_write_cmos_sensor(kal_uint16 *para, kal_uint32 len);

static kal_uint16 init_setting[] = {
    0x0103, 0x01,
};
static void load_init_setting(void)
{
    table_write_cmos_sensor(init_setting,
        sizeof(init_setting)/sizeof(kal_uint16));
}

static kal_uint16 preview_setting[] = {
	
0x0103, 0x01,
0x0102, 0x01,
0x0304, 0x01,
0x0305, 0x4e,
0x0306, 0x03,
0x0307, 0x00,
0x0326, 0xcb,
0x0327, 0x09,
0x0345, 0x13,
0x034b, 0x00,
0x3012, 0x31,
0x3015, 0x90,
0x301a, 0xd0,
0x301e, 0x88,
0x3025, 0x09,
0x3044, 0x02,
0x3218, 0xa1,
0x3400, 0x04,
0x3401, 0x00,
0x3408, 0x0c,
0x3423, 0x00,
0x3424, 0x15,
0x3425, 0x40,
0x3426, 0x10,
0x3427, 0x00,
0x340e, 0xff,
0x3420, 0x00,
0x3421, 0x08,
0x3422, 0x00,
0x3500, 0x00,
0x3501, 0x12,
0x3502, 0x40,
0x3504, 0x4c,
0x3506, 0x38,
0x3507, 0x00,
0x3508, 0x01,
0x3509, 0x00,
0x350a, 0x01,
0x350b, 0x00,
0x350c, 0x00,
0x3540, 0x00,
0x3541, 0x00,
0x3542, 0x20,
0x3544, 0x48,
0x3546, 0x38,
0x3548, 0x04,
0x3549, 0x00,
0x354a, 0x01,
0x354b, 0x00,
0x3580, 0x00,
0x3581, 0x00,
0x3582, 0x10,
0x3584, 0x48,
0x3586, 0x38,
0x3588, 0x08,
0x3589, 0x00,
0x358a, 0x01,
0x358b, 0x00,
0x3607, 0x4c,
0x360d, 0x51,
0x360e, 0x51,
0x360f, 0xd0,
0x3610, 0x18,
0x3612, 0x4c,
0x3613, 0x3c,
0x3615, 0x0b,
0x3617, 0x83,
0x3619, 0x40,
0x3618, 0xc7,
0x361a, 0xd0,
0x361d, 0x12,
0x361e, 0x13,
0x3625, 0x80,
0x3627, 0x48,
0x3628, 0x48,
0x3635, 0x80,
0x3642, 0x29,
0x3643, 0x06,
0x365d, 0x02,
0x365e, 0x02,
0x365f, 0x99,
0x3662, 0x33,
0x3684, 0x01,//PD_OUT disable; 01 :PD_OUT enable
0x3685, 0x00,
0x3688, 0x00,
0x3689, 0x88,
0x368a, 0x2e,
0x368e, 0x70,
0x3694, 0x6f,
0x3695, 0x80,
0x3696, 0x51,
0x369a, 0x00,
0x369b, 0x00,
0x369c, 0x00,
0x369d, 0x14,
0x369e, 0x00,
0x369f, 0x04,
0x36a2, 0x00,
0x36a3, 0x00,
0x36a4, 0x00,
0x36a6, 0x00,
0x36a7, 0x00,
0x36a8, 0x00,
0x36b1, 0x24,
0x36b3, 0x24,
0x36b5, 0x24,
0x36b7, 0x24,
0x36b9, 0x24,
0x36bb, 0x24,
0x36bd, 0x24,
0x36bf, 0x24,
0x36c1, 0x24,
0x36c3, 0x24,
0x3700, 0x2e,
0x3701, 0x06,
0x3702, 0x46,
0x3703, 0x28,
0x3706, 0x2d,
0x3708, 0x3a,
0x3709, 0x57,
0x370b, 0x54,
0x3711, 0x00,
0x3712, 0x50,
0x3713, 0x00,
0x3714, 0x62,
0x3716, 0x40,
0x3717, 0x02,
0x371d, 0x24,
0x371e, 0x13,
0x371f, 0x0c,
0x3720, 0x08,
0x3721, 0x15,
0x3725, 0x32,
0x3728, 0x01,
0x3730, 0x1b,
0x3731, 0x1b,
0x3732, 0x1b,
0x3733, 0x1b,
0x3734, 0x1b,
0x3735, 0x1b,
0x3736, 0x04,
0x373c, 0xb8,
0x3743, 0x00,
0x3745, 0xff,
0x3746, 0xff,
0x3753, 0x01,
0x3754, 0x14,
0x3755, 0x0c,
0x375e, 0x00,
0x375f, 0x02,
0x3760, 0x10,
0x3761, 0x10,
0x3762, 0x10,
0x3763, 0x10,
0x3764, 0x10,
0x3765, 0x10,
0x3766, 0x20,
0x3767, 0x30,
0x3768, 0x40,
0x3769, 0x50,
0x376b, 0x00,
0x376f, 0x02,
0x3770, 0x01,
0x3779, 0x85,
0x377a, 0x05,
0x3793, 0x00,
0x3795, 0x00,
0x3799, 0x82,
0x379b, 0x82,
0x37a2, 0x15,
0x37a5, 0x00,
0x37a6, 0x00,
0x37ff, 0x00,
0x3800, 0x00,
0x3801, 0x00,
0x3802, 0x00,
0x3803, 0x00,
0x3804, 0x2d,
0x3805, 0x7f,
0x3806, 0x22,
0x3807, 0x2f,
0x3808, 0x16,
0x3809, 0xa0,
0x380a, 0x10,
0x380b, 0xf8,
0x380c, 0x02,
0x380d, 0xc4,
0x380e, 0x12,
0x380f, 0x61,
0x3810, 0x00,
0x3811, 0x11,
0x3812, 0x00,
0x3813, 0x10,
0x3814, 0x11,
0x3815, 0x11,
0x381a, 0x0f,
0x381b, 0x48,
0x381c, 0x02,
0x381d, 0xc4,
0x381f, 0x02,
0x3820, 0x42,
0x3821, 0x15,
0x3822, 0x00,
0x3823, 0x04,
0x3828, 0x02,
0x382e, 0x41,
0x3830, 0x02,
0x3831, 0x00,
0x3837, 0x04,
0x383e, 0x00,
0x383f, 0x44,
0x3840, 0x00,
0x3847, 0x00,
0x384a, 0x00,
0x384c, 0x02,
0x384d, 0xc4,
0x3856, 0x00,
0x3858, 0x00,
0x3859, 0x00,
0x3864, 0x02,
0x3867, 0x08,
0x3888, 0x00,
0x3889, 0x20,
0x388a, 0x00,
0x388b, 0x14,
0x388c, 0x16,
0x388d, 0x80,
0x388e, 0x10,
0x388f, 0xf0,
0x3894, 0x00,
0x3896, 0x60,
0x3899, 0x20,
0x3900, 0x0f,
0x3902, 0x10,
0x3903, 0x10,
0x3908, 0x70,
0x3909, 0x70,
0x390a, 0x70,
0x390b, 0x70,
0x390c, 0xc8,
0x390d, 0xc8,
0x390e, 0xc8,
0x390f, 0x00,
0x3917, 0x03,
0x3918, 0x08,
0x391a, 0x03,
0x391b, 0xff,
0x391c, 0xc0,
0x391f, 0x06,
0x3920, 0x0c,
0x3921, 0x0e,
0x3922, 0x12,
0x3923, 0x12,
0x3924, 0x12,
0x3927, 0x4c,
0x3928, 0x2a,
0x3929, 0x16,
0x392a, 0x0e,
0x392b, 0x88,
0x392c, 0x88,
0x392d, 0x88,
0x392e, 0x3f,
0x392f, 0x3f,
0x3930, 0x3f,
0x3931, 0x3f,
0x3932, 0x3f,
0x3933, 0x3f,
0x3934, 0x00,
0x3939, 0x06,
0x393a, 0x06,
0x393b, 0x06,
0x393c, 0x04,
0x393d, 0x00,
0x393e, 0x00,
0x393f, 0x0e,
0x3940, 0x0e,
0x3941, 0x0e,
0x3942, 0x0e,
0x3943, 0x0e,
0x3944, 0x0e,
0x3945, 0x0f,
0x3952, 0x44,
0x3953, 0x44,
0x3958, 0x04,
0x3959, 0x08,
0x395a, 0x0c,
0x395b, 0x10,
0x396b, 0x62,
0x396f, 0x1f,
0x3971, 0x02,
0x3973, 0x10,
0x3977, 0x54,
0x3987, 0x00,
0x39f0, 0x80,
0x39f6, 0x10,
0x39f8, 0x00,
0x39fa, 0x0e,
0x3d85, 0x0b,
0x3d8c, 0x7b,
0x3d8d, 0xa0,
0x3f00, 0x10,
0x4500, 0x08,
0x4502, 0x00,
0x4504, 0x80,
0x4505, 0x00,
0x4506, 0x01,
0x4507, 0x01,
0x4508, 0x4b,
0x4509, 0x05,
0x450c, 0x00,
0x450d, 0x20,
0x450e, 0x00,
0x450f, 0x00,
0x4510, 0x01,
0x4523, 0x00,
0x4526, 0x00,
0x4542, 0x00,
0x4543, 0x00,
0x4544, 0x00,
0x4545, 0x00,
0x4546, 0x00,
0x4547, 0x10,
0x4c00, 0x22,
0x4c50, 0x02,
0x4c51, 0x02,
0x4c52, 0x06,
0x4c53, 0x06,
0x4c54, 0x02,
0x4c55, 0x02,
0x4c56, 0x06,
0x4c57, 0x06,
0x4c58, 0x01,
0x4c59, 0x00,
0x4c5a, 0x08,
0x4c5b, 0x08,
0x4c5c, 0x00,
0x4c5d, 0x00,
0x4c5e, 0x00,
0x4c5f, 0x00,
0x4c60, 0x00,
0x4c61, 0x20,
0x4c62, 0x16,
0x4c63, 0x80,
0x4c64, 0x00,
0x4c65, 0x14,
0x4c66, 0x10,
0x4c67, 0xf0,
0x4c68, 0x16,
0x4c69, 0xc0,
0x4c6a, 0x11,
0x4c6b, 0x18,
0x4009, 0x01,
0x400e, 0xc6,
0x400f, 0x00,
0x4010, 0x28,
0x4011, 0x00,
0x4012, 0x0c,
0x4015, 0x02,
0x4016, 0x0d,
0x4017, 0x02,
0x4018, 0x0d,
0x401a, 0x40,
0x401b, 0x04,
0x401e, 0x01,
0x401f, 0x30,
0x4020, 0x04,
0x4021, 0x00,
0x4022, 0x04,
0x4023, 0x00,
0x4024, 0x04,
0x4025, 0x00,
0x4026, 0x04,
0x4027, 0x00,
0x4028, 0x01,
0x4029, 0x08,
0x4030, 0x00,
0x4031, 0x00,
0x4032, 0x00,
0x4033, 0x00,
0x4034, 0x00,
0x4035, 0x00,
0x4036, 0x00,
0x4037, 0x00,
0x4040, 0x00,
0x4041, 0x2b,
0x4042, 0x00,
0x4043, 0x21,
0x4044, 0x00,
0x4045, 0x05,
0x4046, 0x00,
0x4047, 0x00,
0x4058, 0x00,
0x4059, 0x00,
0x405a, 0x00,
0x405b, 0x00,
0x405c, 0x00,
0x405d, 0x00,
0x405e, 0x00,
0x405f, 0x00,
0x40dc, 0x03,
0x40dd, 0x7f,
0x4100, 0x00,
0x4101, 0x00,
0x4103, 0x00,
0x4105, 0x00,
0x4288, 0xa7,
0x428e, 0x00,
0x4580, 0x01,
0x4581, 0x10,
0x4583, 0x0b,
0x4584, 0x60,
0x45c0, 0x61,
0x45c2, 0x04,
0x45cb, 0x30,
0x4602, 0x00,
0x4603, 0x15,
0x4609, 0x20,
0x460b, 0x07,
0x4640, 0x00,
0x4641, 0x2d,
0x4643, 0x0c,
0x4644, 0xc0,
0x4645, 0xb4,
0x464a, 0x00,
0x464b, 0x00,
0x464c, 0x01,
0x4680, 0x19,
0x4681, 0x81,
0x4683, 0x2b,
0x4686, 0x00,
0x4687, 0x00,
0x4688, 0x00,
0x4800, 0x04,
0x4802, 0x02,
0x481b, 0x20,
0x4829, 0x64,
0x4837, 0x08,
0x4850, 0x42,
0x4853, 0x04,
0x4860, 0x01,
0x4861, 0xef,
0x4862, 0x26,
0x4883, 0x27,
0x4884, 0x19,
0x4885, 0x00,
0x4888, 0x00,
0x4889, 0x00,
0x488a, 0x00,
0x4911, 0x01,
0x4920, 0x04,
0x4921, 0x00,
0x4922, 0x04,
0x4923, 0x00,
0x4924, 0x04,
0x4925, 0x00,
0x4926, 0x04,
0x4927, 0x00,
0x4930, 0x00,
0x4931, 0x00,
0x4932, 0x00,
0x4933, 0x00,
0x4934, 0x00,
0x4935, 0x00,
0x4936, 0x00,
0x4937, 0x00,
0x4940, 0x00,
0x4941, 0x2b,
0x4942, 0x00,
0x4943, 0x21,
0x4944, 0x00,
0x4945, 0x05,
0x4946, 0x00,
0x4947, 0x00,
0x4a11, 0x01,
0x4a1a, 0x40,
0x4a20, 0x04,
0x4a21, 0x00,
0x4a22, 0x04,
0x4a23, 0x00,
0x4a24, 0x04,
0x4a25, 0x00,
0x4a26, 0x04,
0x4a27, 0x00,
0x4a30, 0x00,
0x4a31, 0x00,
0x4a32, 0x00,
0x4a33, 0x00,
0x4a34, 0x00,
0x4a35, 0x00,
0x4a36, 0x00,
0x4a37, 0x00,
0x4a40, 0x00,
0x4a41, 0x2b,
0x4a42, 0x00,
0x4a43, 0x21,
0x4a44, 0x00,
0x4a45, 0x05,
0x4a46, 0x00,
0x4a47, 0x00,
0x4d00, 0x04,
0x4d01, 0x96,
0x4d02, 0xbb,
0x4d03, 0x2b,
0x4d04, 0xd4,
0x4d05, 0xd0,
0x6d0a, 0x01,
0x6d0b, 0x30,
0x6d0e, 0x04,
0x6d17, 0x01,
0x6d25, 0x00,
0x6d26, 0x1f,
0x6d27, 0x00,
0x6d28, 0x00,
0x6d29, 0x01,
0x6d2a, 0x00,
0x6d2b, 0x00,
0x6d2c, 0x00,
0x6d2d, 0x00,
0x6d2e, 0x0f,
0x6d2f, 0xff,
0x6d5e, 0x10,
0x6c00, 0x00,
0x6c02, 0x00,
0x6c06, 0x00,
0x6c07, 0x00,
0x6c09, 0x06,
0x5000, 0xf7,
0x5001, 0x01,
0x5002, 0x11,
0x5003, 0x00,
0x5004, 0x80,
0x5005, 0x40,
0x5006, 0x80,
0x5007, 0x06,
0x504f, 0x02,
0x5061, 0x00,
0x5063, 0x08,
0x5064, 0x2d,
0x5065, 0x80,
0x5066, 0x22,
0x5067, 0x20,
0x5068, 0x02,
0x5069, 0x10,
0x506a, 0x10,
0x506b, 0x04,
0x506c, 0x06,
0x506d, 0x0c,
0x506e, 0x0e,
0x506f, 0x04,
0x5070, 0x04,
0x5071, 0x0c,
0x5072, 0x0c,
0x5073, 0x01,
0x5074, 0x01,
0x5075, 0xbb,
0x5076, 0x2d,
0x5077, 0x80,
0x5078, 0x22,
0x5079, 0x30,
0x50c1, 0x00,
0x53c1, 0x00,
0x56c1, 0x00,
0x5110, 0x00,
0x5111, 0x14,
0x5112, 0x0b,
0x5113, 0x6b,
0x5410, 0x00,
0x5411, 0x14,
0x5412, 0x0b,
0x5413, 0x6b,
0x5710, 0x00,
0x5711, 0x14,
0x5712, 0x0b,
0x5713, 0x6b,
0x5152, 0xa3,
0x5452, 0xa3,
0x5752, 0xa3,
0x5180, 0xc1,
0x5184, 0x18,
0x5185, 0x08,
0x5186, 0x08,
0x5187, 0x18,
0x5188, 0x08,
0x5189, 0x08,
0x518a, 0x08,
0x518b, 0x08,
0x518e, 0x04,
0x518f, 0x00,
0x5480, 0xc1,
0x5484, 0x18,
0x5485, 0x08,
0x5486, 0x08,
0x5487, 0x18,
0x5488, 0x08,
0x5489, 0x08,
0x548a, 0x08,
0x548b, 0x08,
0x548e, 0x04,
0x548f, 0x00,
0x5780, 0xc1,
0x5784, 0x18,
0x5785, 0x08,
0x5786, 0x08,
0x5787, 0x18,
0x5788, 0x08,
0x5789, 0x08,
0x578a, 0x08,
0x578b, 0x08,
0x578e, 0x04,
0x578f, 0x00,
0x51b0, 0x30,
0x54b0, 0x30,
0x57b0, 0x30,
0x51d0, 0xf2,
0x51d1, 0x20,
0x51d2, 0xff,
0x51d3, 0x0c,
0x51d8, 0x08,
0x51d9, 0x04,
0x51da, 0x02,
0x51db, 0x02,
0x51dc, 0x06,
0x51dd, 0x06,
0x51de, 0x00,
0x51df, 0x00,
0x51e0, 0x02,
0x51e1, 0x02,
0x51e2, 0x00,
0x51e3, 0x00,
0x51e4, 0xff,
0x51e9, 0xff,
0x51f4, 0xaa,
0x51f8, 0x16,
0x51f9, 0xc0,
0x51fa, 0x08,
0x51fb, 0x8c,
0x51fc, 0x00,
0x51fd, 0x20,
0x51fe, 0x00,
0x51ff, 0x0a,
0x5200, 0x16,
0x5201, 0x80,
0x5202, 0x08,
0x5203, 0x78,
0x5205, 0x08,
0x54d0, 0x32,
0x54d1, 0x20,
0x54d2, 0x84,
0x54d3, 0x00,
0x54e4, 0xff,
0x54e9, 0xff,
0x57d0, 0x32,
0x57d1, 0x20,
0x57d2, 0x84,
0x57d3, 0x00,
0x57e4, 0xff,
0x57e9, 0xff,
0x5250, 0x14,
0x5251, 0x00,
0x5253, 0x00,
0x527a, 0x00,
0x527b, 0x2d,
0x527c, 0x00,
0x527d, 0x3c,
0x5290, 0x01,
0x5291, 0x00,
0x5292, 0x00,
0x5293, 0x50,
0x5294, 0x00,
0x5295, 0x50,
0x5296, 0x00,
0x5297, 0x50,
0x5298, 0x00,
0x5299, 0x50,
0x529a, 0x01,
0x529b, 0x00,
0x529c, 0x00,
0x529d, 0x50,
0x529e, 0x00,
0x529f, 0x50,
0x52a0, 0x00,
0x52a1, 0x50,
0x52a2, 0x00,
0x52a3, 0x50,
0x52f0, 0x01,
0x52f1, 0x02,
0x52f2, 0x03,
0x52f3, 0x04,
0x52f4, 0x05,
0x52f5, 0x06,
0x52f6, 0x07,
0x52f7, 0x08,
0x52f8, 0x09,
0x52f9, 0x0a,
0x5331, 0x02,
0x5332, 0x42,
0x5333, 0x24,
0x5550, 0x14,
0x5553, 0x00,
0x55f0, 0x01,
0x55f1, 0x02,
0x55f2, 0x03,
0x55f3, 0x04,
0x55f4, 0x05,
0x55f5, 0x06,
0x55f6, 0x07,
0x55f7, 0x08,
0x55f8, 0x09,
0x55f9, 0x0a,
0x5631, 0x02,
0x5632, 0x42,
0x5633, 0x24,
0x5850, 0x14,
0x5853, 0x00,
0x58f0, 0x01,
0x58f1, 0x02,
0x58f2, 0x03,
0x58f3, 0x04,
0x58f4, 0x05,
0x58f5, 0x06,
0x58f6, 0x07,
0x58f7, 0x08,
0x58f8, 0x09,
0x58f9, 0x0a,
0x5931, 0x02,
0x5932, 0x42,
0x5933, 0x24,
0x5350, 0x0f,
0x5351, 0xb4,
0x5352, 0x0b,
0x5353, 0xcc,
0x5358, 0x00,
0x5359, 0x00,
0x5370, 0x04,
0x535a, 0x03,
0x59f0, 0x40,
0x59f1, 0x40,
0x59f2, 0x40,
0x59f3, 0x40,
0x59f4, 0x40,
0x59f5, 0x40,
0x59f6, 0x40,
0x59f7, 0x40,
0x59f8, 0x40,
0x59f9, 0x40,
0x59fa, 0x40,
0x59fb, 0x40,
0x59fc, 0x40,
0x59fd, 0x40,
0x59fe, 0x40,
0x59ff, 0x40,
0x5a00, 0x40,
0x5a01, 0x40,
0x5a02, 0x40,
0x5a03, 0x40,
0x5a04, 0x40,
0x5a05, 0x40,
0x5a06, 0x40,
0x5a07, 0x40,
0x5a08, 0x40,
0x5a09, 0x40,
0x5a0a, 0x40,
0x5a0b, 0x40,
0x5a0c, 0x40,
0x5a0d, 0x40,
0x5a0e, 0x40,
0x5a0f, 0x40,
0x5a10, 0x40,
0x5a11, 0x40,
0x5a12, 0x40,
0x5a13, 0x40,
0x5a14, 0x40,
0x5a15, 0x40,
0x5a16, 0x40,
0x5a17, 0x40,
0x5a18, 0x40,
0x5a19, 0x40,
0x5a1a, 0x40,
0x5a1b, 0x40,
0x5a1c, 0x40,
0x5a1d, 0xcd,
0x5a1e, 0xcd,
0x5a1f, 0xcd,
0x5a20, 0xcd,
0x5a21, 0xcd,
0x5a22, 0xcd,
0x5a23, 0xcd,
0x5a24, 0xcd,
0x5a25, 0xcd,
0x5a26, 0xcd,
0x5a27, 0xcd,
0x5a28, 0xcd,
0x5a29, 0xcd,
0x5a2a, 0xcd,
0x5a2b, 0xcd,
0x5a2c, 0xcd,
0x5a2d, 0xcd,
0x5a2e, 0xcd,
0x5a2f, 0xcd,
0x5a30, 0xcd,
0x5a31, 0xcd,
0x5a32, 0xcd,
0x5a33, 0xcd,
0x5a34, 0xcd,
0x5a35, 0xcd,
0x5a36, 0xcd,
0x5a37, 0xcd,
0x5a38, 0xcd,
0x5a39, 0xcd,
0x5a3a, 0xcd,
0x5a3b, 0xcd,
0x5a3c, 0xcd,
0x5a3d, 0xcd,
0x5a3e, 0xcd,
0x5a3f, 0xcd,
0x5a40, 0xcd,
0x5a41, 0xcd,
0x5a42, 0xcd,
0x5a43, 0xcd,
0x5a44, 0xcd,
0x5a45, 0xcd,
0x5a46, 0xcd,
0x5a47, 0xcd,
0x5a48, 0xcd,
0x5a49, 0xcd,
0x5a4a, 0xcd,
0x5a4b, 0xcd,
0x5a4c, 0xcd,
0x5a4d, 0xcd,
0x5a4e, 0xcd,
0x5a4f, 0xcd,
0x5a50, 0xcd,
0x5a51, 0xcd,
0x5a52, 0xcd,
0x5a53, 0xcd,
0x5a54, 0xcd,
0x5a55, 0xcd,
0x5a56, 0xcd,
0x5a57, 0xcd,
0x5a58, 0xcd,
0x5a59, 0xcd,
0x5a5a, 0xcd,
0x5a5b, 0xcd,
0x5a5c, 0xcd,
0x5a5d, 0xcd,
0x5a5e, 0xcd,
0x5a5f, 0xcd,
0x5a60, 0xcd,
0x5a61, 0xcd,
0x5a62, 0xcd,
0x5a63, 0xcd,
0x5a64, 0xcd,
0x5a65, 0xcd,
0x5a66, 0xcd,
0x5a67, 0xcd,
0x5a68, 0xcd,
0x5a69, 0xcd,
0x5a6a, 0xcd,
0x5a6b, 0xcd,
0x5a6c, 0xcd,
0x5a6d, 0xcd,
0x5a6e, 0xcd,
0x5a6f, 0xcd,
0x5a70, 0xcd,
0x5a71, 0xcd,
0x5a72, 0xcd,
0x5a73, 0xcd,
0x5a74, 0xcd,
0x5a75, 0xcd,
0x5a76, 0xcd,
0x5a77, 0xcd,
0x5a78, 0xcd,
0x5a79, 0xcd,
0x5a7a, 0xcd,
0x5a7b, 0xcd,
0x5a7c, 0xcd,
0x5a7d, 0xcd,
0x5a7e, 0xcd,
0x5a7f, 0xcd,
0x5a80, 0xcd,
0x5a81, 0xcd,
0x5a82, 0xcd,
0x5a83, 0xcd,
0x5a84, 0xcd,
0x5a85, 0xcd,
0x5a86, 0xcd,
0x5a87, 0xcd,
0x5a88, 0xcd,
0x5a89, 0xcd,
0x5a8a, 0xcd,
0x5a8b, 0xcd,
0x5a8c, 0xcd,
0x5a8d, 0xcd,
0x5a8e, 0xcd,
0x5a8f, 0xcd,
0x5a90, 0xcd,
0x5a91, 0xcd,
0x5a92, 0xcd,
0x5a93, 0xcd,
0x5a94, 0xcd,
0x5a95, 0xcd,
0x5a96, 0xcd,
0x5a97, 0xcd,
0x5a98, 0xcd,
0x5a99, 0xcd,
0x5a9a, 0xcd,
0x5a9b, 0xcd,
0x5a9c, 0xcd,
0x5a9d, 0xcd,
0x5a9e, 0xcd,
0x5a9f, 0xcd,
0x5aa0, 0xcd,
0x5aa1, 0xcd,
0x5aa2, 0xcd,
0x5aa3, 0xcd,
0x5aa4, 0xcd,
0x5aa5, 0xcd,
0x5aa6, 0xcd,
0x5aa7, 0xcd,
0x5aa8, 0xcd,
0x5aa9, 0xcd,
0x5aaa, 0xcd,
0x5aab, 0xcd,
0x5aac, 0xcd,
0x5aad, 0xcd,
0x5aae, 0xcd,
0x5aaf, 0xcd,
0x5ab0, 0xcd,
0x5ab1, 0xcd,
0x5ab2, 0xcd,
0x5ab3, 0xcd,
0x5ab4, 0xcd,
0x5ab5, 0xcd,
0x5ab6, 0xcd,
0x5ab7, 0xcd,
0x5ab8, 0xcd,
0x5ab9, 0xcd,
0x5aba, 0xcd,
0x5abb, 0xcd,
0x5abc, 0xcd,
0x5abd, 0xcd,
0x5abe, 0xcd,
0x5abf, 0xcd,
0x5ac0, 0xcd,
0x5ac1, 0xcd,
0x5ac2, 0xcd,
0x5ac3, 0xcd,
0x5ac4, 0xcd,
0x5ac5, 0xcd,
0x5ac6, 0xcd,
0x5ac7, 0xcd,
0x5ac8, 0xcd,
0x5ac9, 0xcd,
0x5aca, 0xcd,
0x5acb, 0xcd,
0x5acc, 0xcd,
0x5acd, 0xcd,
0x5ace, 0xcd,
0x5acf, 0xcd,
0x5ad0, 0xcd,
0x5ad1, 0x40,
0x5ad2, 0x40,
0x5ad3, 0x40,
0x5ad4, 0x40,
0x5ad5, 0x40,
0x5ad6, 0x40,
0x5ad7, 0x40,
0x5ad8, 0x40,
0x5ad9, 0x40,
0x5ada, 0x40,
0x5adb, 0x40,
0x5adc, 0x40,
0x5add, 0x40,
0x5ade, 0x40,
0x5adf, 0x40,
0x5ae0, 0x40,
0x5ae1, 0x40,
0x5ae2, 0x40,
0x5ae3, 0x40,
0x5ae4, 0x40,
0x5ae5, 0x40,
0x5ae6, 0x40,
0x5ae7, 0x40,
0x5ae8, 0x40,
0x5ae9, 0x40,
0x5aea, 0x40,
0x5aeb, 0x40,
0x5aec, 0x40,
0x5aed, 0x40,
0x5aee, 0x40,
0x5aef, 0x40,
0x5af0, 0x40,
0x5af1, 0x40,
0x5af2, 0x40,
0x5af3, 0x40,
0x5af4, 0x40,
0x5af5, 0x40,
0x5af6, 0x40,
0x5af7, 0x40,
0x5af8, 0x40,
0x5af9, 0x40,
0x5afa, 0x40,
0x5afb, 0x40,
0x5afc, 0x40,
0x5afd, 0x40,
0x5afe, 0xcd,
0x5aff, 0xcd,
0x5b00, 0xcd,
0x5b01, 0xcd,
0x5b02, 0xcd,
0x5b03, 0xcd,
0x5b04, 0xcd,
0x5b05, 0xcd,
0x5b06, 0xcd,
0x5b07, 0xcd,
0x5b08, 0xcd,
0x5b09, 0xcd,
0x5b0a, 0xcd,
0x5b0b, 0xcd,
0x5b0c, 0xcd,
0x5b0d, 0xcd,
0x5b0e, 0xcd,
0x5b0f, 0xcd,
0x5b10, 0xcd,
0x5b11, 0xcd,
0x5b12, 0xcd,
0x5b13, 0xcd,
0x5b14, 0xcd,
0x5b15, 0xcd,
0x5b16, 0xcd,
0x5b17, 0xcd,
0x5b18, 0xcd,
0x5b19, 0xcd,
0x5b1a, 0xcd,
0x5b1b, 0xcd,
0x5b1c, 0xcd,
0x5b1d, 0xcd,
0x5b1e, 0xcd,
0x5b1f, 0xcd,
0x5b20, 0xcd,
0x5b21, 0xcd,
0x5b22, 0xcd,
0x5b23, 0xcd,
0x5b24, 0xcd,
0x5b25, 0xcd,
0x5b26, 0xcd,
0x5b27, 0xcd,
0x5b28, 0xcd,
0x5b29, 0xcd,
0x5b2a, 0xcd,
0x5b2b, 0xcd,
0x5b2c, 0xcd,
0x5b2d, 0xcd,
0x5b2e, 0xcd,
0x5b2f, 0xcd,
0x5b30, 0xcd,
0x5b31, 0xcd,
0x5b32, 0xcd,
0x5b33, 0xcd,
0x5b34, 0xcd,
0x5b35, 0xcd,
0x5b36, 0xcd,
0x5b37, 0xcd,
0x5b38, 0xcd,
0x5b39, 0xcd,
0x5b3a, 0xcd,
0x5b3b, 0xcd,
0x5b3c, 0xcd,
0x5b3d, 0xcd,
0x5b3e, 0xcd,
0x5b3f, 0xcd,
0x5b40, 0xcd,
0x5b41, 0xcd,
0x5b42, 0xcd,
0x5b43, 0xcd,
0x5b44, 0xcd,
0x5b45, 0xcd,
0x5b46, 0xcd,
0x5b47, 0xcd,
0x5b48, 0xcd,
0x5b49, 0xcd,
0x5b4a, 0xcd,
0x5b4b, 0xcd,
0x5b4c, 0xcd,
0x5b4d, 0xcd,
0x5b4e, 0xcd,
0x5b4f, 0xcd,
0x5b50, 0xcd,
0x5b51, 0xcd,
0x5b52, 0xcd,
0x5b53, 0xcd,
0x5b54, 0xcd,
0x5b55, 0xcd,
0x5b56, 0xcd,
0x5b57, 0xcd,
0x5b58, 0xcd,
0x5b59, 0xcd,
0x5b5a, 0xcd,
0x5b5b, 0xcd,
0x5b5c, 0xcd,
0x5b5d, 0xcd,
0x5b5e, 0xcd,
0x5b5f, 0xcd,
0x5b60, 0xcd,
0x5b61, 0xcd,
0x5b62, 0xcd,
0x5b63, 0xcd,
0x5b64, 0xcd,
0x5b65, 0xcd,
0x5b66, 0xcd,
0x5b67, 0xcd,
0x5b68, 0xcd,
0x5b69, 0xcd,
0x5b6a, 0xcd,
0x5b6b, 0xcd,
0x5b6c, 0xcd,
0x5b6d, 0xcd,
0x5b6e, 0xcd,
0x5b6f, 0xcd,
0x5b70, 0xcd,
0x5b71, 0xcd,
0x5b72, 0xcd,
0x5b73, 0xcd,
0x5b74, 0xcd,
0x5b75, 0xcd,
0x5b76, 0xcd,
0x5b77, 0xcd,
0x5b78, 0xcd,
0x5b79, 0xcd,
0x5b7a, 0xcd,
0x5b7b, 0xcd,
0x5b7c, 0xcd,
0x5b7d, 0xcd,
0x5b7e, 0xcd,
0x5b7f, 0xcd,
0x5b80, 0xcd,
0x5b81, 0xcd,
0x5b82, 0xcd,
0x5b83, 0xcd,
0x5b84, 0xcd,
0x5b85, 0xcd,
0x5b86, 0xcd,
0x5b87, 0xcd,
0x5b88, 0xcd,
0x5b89, 0xcd,
0x5b8a, 0xcd,
0x5b8b, 0xcd,
0x5b8c, 0xcd,
0x5b8d, 0xcd,
0x5b8e, 0xcd,
0x5b8f, 0xcd,
0x5b90, 0xcd,
0x5b91, 0xcd,
0x5b92, 0xcd,
0x5b93, 0xcd,
0x5b94, 0xcd,
0x5b95, 0xcd,
0x5b96, 0xcd,
0x5b97, 0xcd,
0x5b98, 0xcd,
0x5b99, 0xcd,
0x5b9a, 0xcd,
0x5b9b, 0xcd,
0x5b9c, 0xcd,
0x5b9d, 0xcd,
0x5b9e, 0xcd,
0x5b9f, 0xcd,
0x5ba0, 0xcd,
0x5ba1, 0xcd,
0x5ba2, 0xcd,
0x5ba3, 0xcd,
0x5ba4, 0xcd,
0x5ba5, 0xcd,
0x5ba6, 0xcd,
0x5ba7, 0xcd,
0x5ba8, 0xcd,
0x5ba9, 0xcd,
0x5baa, 0xcd,
0x5bab, 0xcd,
0x5bac, 0xcd,
0x5bad, 0xcd,
0x5bae, 0xcd,
0x5baf, 0xcd,
0x5bb0, 0xcd,
0x5bb1, 0xcd,
0x8007, 0x32,
0x8008, 0x4e,
0x800a, 0x6b,
0x8069, 0xaf,
0x806a, 0xda,
0x806b, 0x77,
0x806c, 0xda,
0x806d, 0xda,
0x8070, 0xde,
0x8073, 0xdc,
0x8075, 0xdc,
0x8077, 0xdc,
0x8079, 0xdc,
0x807b, 0xdc,
0x807d, 0xdc,
0x807f, 0xdc,
0x8081, 0x00,
0x8082, 0x00,
0x8083, 0x00,
0x8084, 0x00,
0x8085, 0x00,
0x8086, 0x00,
0x808c, 0x34,
0x808e, 0x34,
0x8090, 0x34,
0x8094, 0x34,
0x8096, 0x34,
0x8098, 0x34,
0x80ba, 0xe2,
0x80be, 0xe2,
0x80c2, 0xe2,
0x80c6, 0xe2,
0x80ca, 0xe2,
0x80ce, 0xe2,
0x80d2, 0xe2,
0x80d6, 0xe2,
0x80da, 0x48,
0x80de, 0x48,
0x80e2, 0x48,
0x80e6, 0x48,
0x80ea, 0x48,
0x80ee, 0x48,
0x80f2, 0x48,
0x80f6, 0x48,
0x80f9, 0x6f,
0x80fa, 0x75,
0x80fb, 0xd8,
0x80fc, 0xda,
0x80fd, 0x6f,
0x80fe, 0x75,
0x80ff, 0xd8,
0x8100, 0xda,
0x8101, 0x6f,
0x8102, 0x75,
0x8103, 0xd8,
0x8104, 0xda,
0x8105, 0x6f,
0x8106, 0x75,
0x8107, 0xd8,
0x8108, 0xda,
0x8123, 0x22,
0x8124, 0xe2,
0x812d, 0x8b,
0x812e, 0xdc,
0x8135, 0x4a,
0x8136, 0x54,
0x8137, 0x78,
0x8138, 0xbd,
0x813b, 0x22,
0x8140, 0x22,
0x8143, 0xe2,
0x8145, 0xe2,
0x8147, 0xe2,
0x8149, 0xe2,
0x814a, 0x48,
0x814b, 0xe2,
0x814c, 0x48,
0x814d, 0xe2,
0x814e, 0x48,
0x814f, 0x00,
0x8150, 0x00,
0x8153, 0x00,
0x8154, 0x00,
0x8157, 0x00,
0x8158, 0x00,
0x815b, 0x00,
0x815c, 0x00,
0x8168, 0x01,
0x817d, 0xd6,
0x817e, 0xdc,
0x8185, 0x6d,
0x8186, 0x77,
0x818e, 0xe0,
0x8197, 0x79,
0x8198, 0xab,
0x819b, 0x78,
0x819c, 0xad,
0x819f, 0x77,
0x81a0, 0x84,
0x81a3, 0x79,
0x81ab, 0x8c,
0x81af, 0x77,
0x81b0, 0x90,
0x81b3, 0x79,
0x81b4, 0x86,
0x81b7, 0x78,
0x81b8, 0x88,
0x81c8, 0x77,
0x81c9, 0x77,
0x81ca, 0xda,
0x81cb, 0xda,
0x81f9, 0x61,
0x81fa, 0x6b,
0x8203, 0xdb,
0x8204, 0xdf,
0x820b, 0x5f,
0x820c, 0x61,
0x820f, 0x6f,
0x8210, 0x75,
0x8211, 0xd8,
0x8212, 0xda,
0x8213, 0x6f,
0x8214, 0x75,
0x8215, 0xd8,
0x8216, 0xda,
0x8217, 0x6f,
0x8218, 0x75,
0x8219, 0xd8,
0x821a, 0xda,
0x821b, 0x6f,
0x821c, 0x75,
0x821d, 0xd8,
0x821e, 0xda,
0x8235, 0x4a,
0x8236, 0xdc,
0x8237, 0x00,
0x8238, 0x00,
0x8243, 0x02,
0x8244, 0xdc,
0x809a, 0x00,
0x809e, 0x00,
0x80a2, 0x00,
0x80a6, 0x00,
0x80aa, 0x00,
0x80ae, 0x00,
0x80b2, 0x00,
0x80b6, 0x00,
0x80b9, 0x00,
0x80bd, 0x00,
0x80c1, 0x00,
0x80c5, 0x00,
0x80c9, 0x00,
0x80cd, 0x00,
0x80d1, 0x00,
0x80d5, 0x00,
0x812c, 0x00,
0x812f, 0x00,
0x8130, 0x00,
0x8131, 0x00,
0x8132, 0x00,
0x8133, 0x00,
0x8134, 0x00,
0x8109, 0x5f,
0x810a, 0x67,
0x810b, 0xc8,
0x810c, 0xd2,
0x810f, 0x00,
0x8110, 0x00,
0x8111, 0x00,
0x8112, 0x00,
0x8115, 0x00,
0x8116, 0x00,
0x8117, 0x00,
0x8118, 0x00,
0x811b, 0x00,
0x811c, 0x00,
0x811d, 0x00,
0x811e, 0x00,
0x81f5, 0x8c,
0x81f6, 0x75,
0x8214, 0x76,
0x8218, 0x76,
0x821c, 0x76,
0x81c8, 0x34,
0x8230, 0x00,
0x821f, 0x07,
0x8220, 0x08,
0x8207, 0xeb,
0x8208, 0xef,
0x81a4, 0xa1,
0x81ac, 0xa3,
0x808a, 0x24,
0x8092, 0x28,
0x808c, 0x24,
0x8094, 0x28,
0x808e, 0x24,
0x8096, 0x28,
0x8090, 0x30,
0x8098, 0x34,
0x8241, 0xee,
0x823f, 0xee,
0x823d, 0xee,
0x823b, 0xee,
0x8239, 0xee,
0x8233, 0xee,
0x8231, 0xee,
0x822f, 0xee,
0x81bb, 0xde,
0x81bc, 0xe0,
0x800d, 0x70,
0x800e, 0x16,
0x8017, 0x97,
0x8010, 0x72,
0x8011, 0x03,
0x8013, 0x74,
0x8014, 0x13,
0x8016, 0xbd,
0x8019, 0xd8,
0x801a, 0x62,
0x801c, 0xec,
0x801d, 0x12,
0x81ed, 0x8c,
0x81ee, 0x71,
0x81f1, 0x8c,
0x81f2, 0x73,
0x81fb, 0x80,
0x81fc, 0x8a,
0x81ff, 0x90,
0x8200, 0x94,
0x812b, 0x6f,
0x8002, 0x20,
0x800b, 0x07,
0x8122, 0x1b,
0x817e, 0xef,


};
static void load_preview_setting(void)
{
    table_write_cmos_sensor(preview_setting,
        sizeof(preview_setting)/sizeof(kal_uint16));
}

static kal_uint16 capture_setting[] = {

0x0103, 0x01,
0x0102, 0x01,
0x0304, 0x01,
0x0305, 0x39,
0x0306, 0x03,
0x0307, 0x00,
0x0326, 0xcb,
0x0327, 0x09,
0x0345, 0x13,
0x034b, 0x02,
0x3012, 0x31,
0x3015, 0x90,
0x301a, 0xd0,
0x301e, 0x88,
0x3025, 0x09,
0x3044, 0x02,
0x3218, 0xa1,
0x3400, 0x04,
0x3401, 0x00,
0x3408, 0x0c,
0x3423, 0x00,
0x3424, 0x15,
0x3425, 0x40,
0x3426, 0x10,
0x3427, 0x00,
0x340e, 0xff,
0x3420, 0x00,
0x3421, 0x08,
0x3422, 0x00,
0x3500, 0x00,
0x3501, 0x12,
0x3502, 0x24,
0x3504, 0x4c,
0x3506, 0x38,
0x3507, 0x00,
0x3508, 0x01,
0x3509, 0x00,
0x350a, 0x01,
0x350b, 0x00,
0x350c, 0x00,
0x3540, 0x00,
0x3541, 0x00,
0x3542, 0x20,
0x3544, 0x48,
0x3546, 0x38,
0x3548, 0x04,
0x3549, 0x00,
0x354a, 0x01,
0x354b, 0x00,
0x3580, 0x00,
0x3581, 0x00,
0x3582, 0x10,
0x3584, 0x48,
0x3586, 0x38,
0x3588, 0x08,
0x3589, 0x00,
0x358a, 0x01,
0x358b, 0x00,
0x3607, 0x4c,
0x360d, 0x51,
0x360e, 0x51,
0x360f, 0xd0,
0x3610, 0x18,
0x3612, 0x4c,
0x3613, 0x3c,
0x3615, 0x0b,
0x3617, 0x83,
0x3619, 0x40,
0x3618, 0xc7,
0x361a, 0xd0,
0x361d, 0x12,
0x361e, 0x13,
0x3625, 0x80,
0x3627, 0x48,
0x3628, 0x48,
0x3635, 0x80,
0x3642, 0x29,
0x3643, 0x06,
0x365d, 0x02,
0x365e, 0x02,
0x365f, 0x99,
0x3662, 0x33,
0x3684, 0x00,// PD enable=01
0x3685, 0x00,
0x3688, 0x00,
0x3689, 0x88,
0x368a, 0x2e,
0x368e, 0x70,
0x3694, 0x6f,
0x3695, 0x80,
0x3696, 0x51,
0x369a, 0x00,
0x369b, 0x00,
0x369c, 0x00,
0x369d, 0x14,
0x369e, 0x00,
0x369f, 0x04,
0x36a2, 0x00,
0x36a3, 0x00,
0x36a4, 0x00,
0x36a6, 0x00,
0x36a7, 0x00,
0x36a8, 0x00,
0x36b1, 0x24,
0x36b3, 0x24,
0x36b5, 0x24,
0x36b7, 0x24,
0x36b9, 0x24,
0x36bb, 0x24,
0x36bd, 0x24,
0x36bf, 0x24,
0x36c1, 0x24,
0x36c3, 0x24,
0x3700, 0x2e,
0x3701, 0x40,
0x3702, 0x70,
0x3703, 0x30,
0x3706, 0x2d,
0x3708, 0x3a,
0x3709, 0xe0,
0x370b, 0x54,
0x3711, 0x00,
0x3712, 0x50,
0x3713, 0x00,
0x3714, 0x62,
0x3716, 0x40,
0x3717, 0x02,
0x371d, 0x24,
0x371e, 0x13,
0x371f, 0x0c,
0x3720, 0x08,
0x3721, 0x15,
0x3725, 0x32,
0x3728, 0x01,
0x3730, 0x1b,
0x3731, 0x1b,
0x3732, 0x1b,
0x3733, 0x1b,
0x3734, 0x1b,
0x3735, 0x1b,
0x3736, 0x04,
0x373c, 0xb8,
0x3743, 0x00,
0x3745, 0xff,
0x3746, 0xff,
0x3753, 0x01,
0x3754, 0x14,
0x3755, 0x0c,
0x375e, 0x00,
0x375f, 0x02,
0x3760, 0x10,
0x3761, 0x10,
0x3762, 0x10,
0x3763, 0x10,
0x3764, 0x10,
0x3765, 0x10,
0x3766, 0x20,
0x3767, 0x30,
0x3768, 0x40,
0x3769, 0x50,
0x376b, 0x00,
0x376f, 0x02,
0x3770, 0x01,
0x3779, 0x41,
0x377a, 0x16,
0x3793, 0x00,
0x3795, 0x00,
0x3799, 0x82,
0x379b, 0x82,
0x37a2, 0x15,
0x37a5, 0x00,
0x37a6, 0x00,
0x37ff, 0x00,
0x3800, 0x00,
0x3801, 0x00,
0x3802, 0x00,
0x3803, 0x00,
0x3804, 0x2d,
0x3805, 0x7f,
0x3806, 0x22,
0x3807, 0x2f,
0x3808, 0x2d,
0x3809, 0x40,
0x380a, 0x21,
0x380b, 0xf0,
0x380c, 0x0b,
0x380d, 0x22,
0x380e, 0x12,
0x380f, 0x44,
0x3810, 0x00,
0x3811, 0x1d,
0x3812, 0x00,
0x3813, 0x1c,
0x3814, 0x11,
0x3815, 0x11,
0x381a, 0x09,
0x381b, 0x1a,
0x381c, 0x0b,
0x381d, 0x22,
0x381f, 0x02,
0x3820, 0x42,
0x3821, 0x15,
0x3822, 0x00,
0x3823, 0x04,
0x3828, 0x02,
0x382e, 0x41,
0x3830, 0x02,
0x3831, 0x00,
0x3837, 0x04,
0x383e, 0x00,
0x383f, 0x44,
0x3840, 0x00,
0x3847, 0x00,
0x384a, 0x00,
0x384c, 0x0b,
0x384d, 0x22,
0x3856, 0x00,
0x3858, 0x00,
0x3859, 0x00,
0x3864, 0x02,
0x3867, 0x08,
0x3888, 0x00,
0x3889, 0x20,
0x388a, 0x00,
0x388b, 0x14,
0x388c, 0x16,
0x388d, 0x80,
0x388e, 0x10,
0x388f, 0xf0,
0x3894, 0x00,
0x3896, 0x60,
0x3899, 0x20,
0x3900, 0x0f,
0x3902, 0x10,
0x3903, 0x10,
0x3908, 0x70,
0x3909, 0x70,
0x390a, 0x70,
0x390b, 0x70,
0x390c, 0xc8,
0x390d, 0xc8,
0x390e, 0xc8,
0x390f, 0x00,
0x3917, 0x03,
0x3918, 0x08,
0x391a, 0x03,
0x391b, 0xff,
0x391c, 0xc0,
0x391f, 0x06,
0x3920, 0x0c,
0x3921, 0x0e,
0x3922, 0x12,
0x3923, 0x12,
0x3924, 0x12,
0x3927, 0x4c,
0x3928, 0x2a,
0x3929, 0x16,
0x392a, 0x0e,
0x392b, 0x88,
0x392c, 0x88,
0x392d, 0x88,
0x392e, 0x3f,
0x392f, 0x3f,
0x3930, 0x3f,
0x3931, 0x3f,
0x3932, 0x3f,
0x3933, 0x3f,
0x3934, 0x00,
0x3939, 0x06,
0x393a, 0x06,
0x393b, 0x06,
0x393c, 0x04,
0x393d, 0x00,
0x393e, 0x00,
0x393f, 0x0e,
0x3940, 0x0e,
0x3941, 0x0e,
0x3942, 0x0e,
0x3943, 0x0e,
0x3944, 0x0e,
0x3945, 0x0f,
0x3952, 0x44,
0x3953, 0x44,
0x3958, 0x04,
0x3959, 0x08,
0x395a, 0x0c,
0x395b, 0x10,
0x396b, 0x62,
0x396f, 0x1f,
0x3971, 0x02,
0x3973, 0x10,
0x3977, 0x54,
0x3987, 0x00,
0x39f0, 0x80,
0x39f6, 0x10,
0x39f8, 0x00,
0x39fa, 0x0e,
0x3d85, 0x0b,
0x3d8c, 0x7b,
0x3d8d, 0xa0,
0x3f00, 0x10,
0x4500, 0x08,
0x4502, 0x00,
0x4504, 0x80,
0x4505, 0x00,
0x4506, 0x01,
0x4507, 0x01,
0x4508, 0x4b,
0x4509, 0x05,
0x450c, 0x00,
0x450d, 0x20,
0x450e, 0x00,
0x450f, 0x00,
0x4510, 0x01,
0x4523, 0x00,
0x4526, 0x00,
0x4542, 0x00,
0x4543, 0x00,
0x4544, 0x00,
0x4545, 0x00,
0x4546, 0x00,
0x4547, 0x10,
0x4c00, 0x22,
0x4c50, 0x02,
0x4c51, 0x02,
0x4c52, 0x06,
0x4c53, 0x06,
0x4c54, 0x02,
0x4c55, 0x02,
0x4c56, 0x06,
0x4c57, 0x06,
0x4c58, 0x01,
0x4c59, 0x00,
0x4c5a, 0x08,
0x4c5b, 0x08,
0x4c5c, 0x00,
0x4c5d, 0x00,
0x4c5e, 0x00,
0x4c5f, 0x00,
0x4c60, 0x00,
0x4c61, 0x20,
0x4c62, 0x16,
0x4c63, 0x80,
0x4c64, 0x00,
0x4c65, 0x14,
0x4c66, 0x10,
0x4c67, 0xf0,
0x4c68, 0x16,
0x4c69, 0xc0,
0x4c6a, 0x11,
0x4c6b, 0x18,
0x4009, 0x01,
0x400e, 0xc6,
0x400f, 0x00,
0x4010, 0x38,
0x4011, 0x00,
0x4012, 0x0c,
0x4015, 0x02,
0x4016, 0x0d,
0x4017, 0x02,
0x4018, 0x0d,
0x401a, 0x40,
0x401b, 0x04,
0x401e, 0x01,
0x401f, 0x30,
0x4020, 0x04,
0x4021, 0x00,
0x4022, 0x04,
0x4023, 0x00,
0x4024, 0x04,
0x4025, 0x00,
0x4026, 0x04,
0x4027, 0x00,
0x4028, 0x01,
0x4029, 0x08,
0x4030, 0x00,
0x4031, 0x00,
0x4032, 0x00,
0x4033, 0x00,
0x4034, 0x00,
0x4035, 0x00,
0x4036, 0x00,
0x4037, 0x00,
0x4040, 0x00,
0x4041, 0x3e,
0x4042, 0x00,
0x4043, 0x3e,
0x4044, 0x00,
0x4045, 0x2e,
0x4046, 0x00,
0x4047, 0x1e,
0x4058, 0x00,
0x4059, 0x00,
0x405a, 0x00,
0x405b, 0x00,
0x405c, 0x00,
0x405d, 0x00,
0x405e, 0x00,
0x405f, 0x00,
0x40dc, 0x03,
0x40dd, 0x7f,
0x4100, 0x00,
0x4101, 0x00,
0x4103, 0x00,
0x4105, 0x00,
0x4288, 0xa7,
0x428e, 0x00,
0x4580, 0x01,
0x4581, 0x10,
0x4583, 0x0b,
0x4584, 0x60,
0x45c0, 0x61,
0x45c2, 0x04,
0x45cb, 0x30,
0x4602, 0x00,
0x4603, 0x15,
0x4609, 0x20,
0x460b, 0x07,
0x4640, 0x00,
0x4641, 0x2d,
0x4643, 0x0c,
0x4644, 0xc0,
0x4645, 0xb4,
0x464a, 0x00,
0x464b, 0x00,
0x464c, 0x01,
0x4680, 0x19,
0x4681, 0x81,
0x4683, 0x2b,
0x4686, 0x00,
0x4687, 0x00,
0x4688, 0x00,
0x4800, 0x04,
0x4802, 0x02,
0x481b, 0x20,
0x4829, 0x64,
0x4837, 0x09,
0x4850, 0x42,
0x4853, 0x04,
0x4860, 0x01,
0x4861, 0xef,
0x4862, 0x26,
0x4883, 0x27,
0x4884, 0x19,
0x4885, 0x00,
0x4888, 0x00,
0x4889, 0x00,
0x488a, 0x00,
0x4911, 0x01,
0x4920, 0x04,
0x4921, 0x00,
0x4922, 0x04,
0x4923, 0x00,
0x4924, 0x04,
0x4925, 0x00,
0x4926, 0x04,
0x4927, 0x00,
0x4930, 0x00,
0x4931, 0x00,
0x4932, 0x00,
0x4933, 0x00,
0x4934, 0x00,
0x4935, 0x00,
0x4936, 0x00,
0x4937, 0x00,
0x4940, 0x00,
0x4941, 0x3e,
0x4942, 0x00,
0x4943, 0x3e,
0x4944, 0x00,
0x4945, 0x2e,
0x4946, 0x00,
0x4947, 0x1e,
0x4a11, 0x01,
0x4a1a, 0x40,
0x4a20, 0x04,
0x4a21, 0x00,
0x4a22, 0x04,
0x4a23, 0x00,
0x4a24, 0x04,
0x4a25, 0x00,
0x4a26, 0x04,
0x4a27, 0x00,
0x4a30, 0x00,
0x4a31, 0x00,
0x4a32, 0x00,
0x4a33, 0x00,
0x4a34, 0x00,
0x4a35, 0x00,
0x4a36, 0x00,
0x4a37, 0x00,
0x4a40, 0x00,
0x4a41, 0x3e,
0x4a42, 0x00,
0x4a43, 0x3e,
0x4a44, 0x00,
0x4a45, 0x2e,
0x4a46, 0x00,
0x4a47, 0x1e,
0x4d00, 0x04,
0x4d01, 0x96,
0x4d02, 0xbb,
0x4d03, 0x2b,
0x4d04, 0xd4,
0x4d05, 0xd0,
0x6d0a, 0x01,
0x6d0b, 0x30,
0x6d0e, 0x04,
0x6d17, 0x01,
0x6d25, 0x00,
0x6d26, 0x1f,
0x6d27, 0x00,
0x6d28, 0x00,
0x6d29, 0x01,
0x6d2a, 0x00,
0x6d2b, 0x00,
0x6d2c, 0x00,
0x6d2d, 0x00,
0x6d2e, 0x0f,
0x6d2f, 0xff,
0x6d5e, 0x10,
0x6c00, 0x00,
0x6c02, 0x00,
0x6c06, 0x00,
0x6c07, 0x00,
0x6c09, 0x06,
0x5000, 0xf7,
0x5001, 0x21,
0x5002, 0x11,
0x5003, 0x00,
0x5004, 0x80,
0x5005, 0x40,
0x5006, 0x80,
0x5007, 0x06,
0x504f, 0x02,
0x5061, 0x00,
0x5063, 0x08,
0x5064, 0x2d,
0x5065, 0x80,
0x5066, 0x22,
0x5067, 0x20,
0x5068, 0x02,
0x5069, 0x10,
0x506a, 0x10,
0x506b, 0x04,
0x506c, 0x06,
0x506d, 0x0c,
0x506e, 0x0e,
0x506f, 0x04,
0x5070, 0x04,
0x5071, 0x0c,
0x5072, 0x0c,
0x5073, 0x01,
0x5074, 0x01,
0x5075, 0xbb,
0x5076, 0x2d,
0x5077, 0x80,
0x5078, 0x22,
0x5079, 0x30,
0x50c1, 0x00,
0x53c1, 0x00,
0x56c1, 0x00,
0x5110, 0x00,
0x5111, 0x14,
0x5112, 0x0b,
0x5113, 0x6b,
0x5410, 0x00,
0x5411, 0x14,
0x5412, 0x0b,
0x5413, 0x6b,
0x5710, 0x00,
0x5711, 0x14,
0x5712, 0x0b,
0x5713, 0x6b,
0x5152, 0xa3,
0x5452, 0xa3,
0x5752, 0xa3,
0x5180, 0xc1,
0x5184, 0x18,
0x5185, 0x08,
0x5186, 0x08,
0x5187, 0x18,
0x5188, 0x08,
0x5189, 0x08,
0x518a, 0x08,
0x518b, 0x08,
0x518e, 0x04,
0x518f, 0x00,
0x5480, 0xc1,
0x5484, 0x18,
0x5485, 0x08,
0x5486, 0x08,
0x5487, 0x18,
0x5488, 0x08,
0x5489, 0x08,
0x548a, 0x08,
0x548b, 0x08,
0x548e, 0x04,
0x548f, 0x00,
0x5780, 0xc1,
0x5784, 0x18,
0x5785, 0x08,
0x5786, 0x08,
0x5787, 0x18,
0x5788, 0x08,
0x5789, 0x08,
0x578a, 0x08,
0x578b, 0x08,
0x578e, 0x04,
0x578f, 0x00,
0x51b0, 0x30,
0x54b0, 0x30,
0x57b0, 0x30,
0x51d0, 0xf2,
0x51d1, 0x20,
0x51d2, 0xff,
0x51d3, 0x0c,
0x51d8, 0x08,
0x51d9, 0x04,
0x51da, 0x02,
0x51db, 0x02,
0x51dc, 0x06,
0x51dd, 0x06,
0x51de, 0x00,
0x51df, 0x00,
0x51e0, 0x02,
0x51e1, 0x02,
0x51e2, 0x00,
0x51e3, 0x00,
0x51e4, 0xff,
0x51e9, 0xff,
0x51f4, 0xaa,
0x51f8, 0x16,
0x51f9, 0xc0,
0x51fa, 0x08,
0x51fb, 0x8c,
0x51fc, 0x00,
0x51fd, 0x20,
0x51fe, 0x00,
0x51ff, 0x0a,
0x5200, 0x16,
0x5201, 0x80,
0x5202, 0x08,
0x5203, 0x78,
0x5205, 0x08,
0x54d0, 0x32,
0x54d1, 0x20,
0x54d2, 0x84,
0x54d3, 0x00,
0x54e4, 0xff,
0x54e9, 0xff,
0x57d0, 0x32,
0x57d1, 0x20,
0x57d2, 0x84,
0x57d3, 0x00,
0x57e4, 0xff,
0x57e9, 0xff,
0x5250, 0x14,
0x5251, 0x00,
0x5253, 0x00,
0x527a, 0x00,
0x527b, 0x2d,
0x527c, 0x00,
0x527d, 0x3c,
0x5290, 0x01,
0x5291, 0x00,
0x5292, 0x00,
0x5293, 0x50,
0x5294, 0x00,
0x5295, 0x50,
0x5296, 0x00,
0x5297, 0x50,
0x5298, 0x00,
0x5299, 0x50,
0x529a, 0x01,
0x529b, 0x00,
0x529c, 0x00,
0x529d, 0x50,
0x529e, 0x00,
0x529f, 0x50,
0x52a0, 0x00,
0x52a1, 0x50,
0x52a2, 0x00,
0x52a3, 0x50,
0x52f0, 0x01,
0x52f1, 0x02,
0x52f2, 0x03,
0x52f3, 0x04,
0x52f4, 0x05,
0x52f5, 0x06,
0x52f6, 0x07,
0x52f7, 0x08,
0x52f8, 0x09,
0x52f9, 0x0a,
0x5331, 0x02,
0x5332, 0x42,
0x5333, 0x24,
0x5550, 0x14,
0x5553, 0x00,
0x55f0, 0x01,
0x55f1, 0x02,
0x55f2, 0x03,
0x55f3, 0x04,
0x55f4, 0x05,
0x55f5, 0x06,
0x55f6, 0x07,
0x55f7, 0x08,
0x55f8, 0x09,
0x55f9, 0x0a,
0x5631, 0x02,
0x5632, 0x42,
0x5633, 0x24,
0x5850, 0x14,
0x5853, 0x00,
0x58f0, 0x01,
0x58f1, 0x02,
0x58f2, 0x03,
0x58f3, 0x04,
0x58f4, 0x05,
0x58f5, 0x06,
0x58f6, 0x07,
0x58f7, 0x08,
0x58f8, 0x09,
0x58f9, 0x0a,
0x5931, 0x02,
0x5932, 0x42,
0x5933, 0x24,
0x5350, 0x0f,
0x5351, 0xb4,
0x5352, 0x0b,
0x5353, 0xcc,
0x5358, 0x00,
0x5359, 0x00,
0x5370, 0x04,
0x535a, 0x03,
0x59f0, 0x40,
0x59f1, 0x40,
0x59f2, 0x40,
0x59f3, 0x40,
0x59f4, 0x40,
0x59f5, 0x40,
0x59f6, 0x40,
0x59f7, 0x40,
0x59f8, 0x40,
0x59f9, 0x40,
0x59fa, 0x40,
0x59fb, 0x40,
0x59fc, 0x40,
0x59fd, 0x40,
0x59fe, 0x40,
0x59ff, 0x40,
0x5a00, 0x40,
0x5a01, 0x40,
0x5a02, 0x40,
0x5a03, 0x40,
0x5a04, 0x40,
0x5a05, 0x40,
0x5a06, 0x40,
0x5a07, 0x40,
0x5a08, 0x40,
0x5a09, 0x40,
0x5a0a, 0x40,
0x5a0b, 0x40,
0x5a0c, 0x40,
0x5a0d, 0x40,
0x5a0e, 0x40,
0x5a0f, 0x40,
0x5a10, 0x40,
0x5a11, 0x40,
0x5a12, 0x40,
0x5a13, 0x40,
0x5a14, 0x40,
0x5a15, 0x40,
0x5a16, 0x40,
0x5a17, 0x40,
0x5a18, 0x40,
0x5a19, 0x40,
0x5a1a, 0x40,
0x5a1b, 0x40,
0x5a1c, 0x40,
0x5a1d, 0xcd,
0x5a1e, 0xcd,
0x5a1f, 0xcd,
0x5a20, 0xcd,
0x5a21, 0xcd,
0x5a22, 0xcd,
0x5a23, 0xcd,
0x5a24, 0xcd,
0x5a25, 0xcd,
0x5a26, 0xcd,
0x5a27, 0xcd,
0x5a28, 0xcd,
0x5a29, 0xcd,
0x5a2a, 0xcd,
0x5a2b, 0xcd,
0x5a2c, 0xcd,
0x5a2d, 0xcd,
0x5a2e, 0xcd,
0x5a2f, 0xcd,
0x5a30, 0xcd,
0x5a31, 0xcd,
0x5a32, 0xcd,
0x5a33, 0xcd,
0x5a34, 0xcd,
0x5a35, 0xcd,
0x5a36, 0xcd,
0x5a37, 0xcd,
0x5a38, 0xcd,
0x5a39, 0xcd,
0x5a3a, 0xcd,
0x5a3b, 0xcd,
0x5a3c, 0xcd,
0x5a3d, 0xcd,
0x5a3e, 0xcd,
0x5a3f, 0xcd,
0x5a40, 0xcd,
0x5a41, 0xcd,
0x5a42, 0xcd,
0x5a43, 0xcd,
0x5a44, 0xcd,
0x5a45, 0xcd,
0x5a46, 0xcd,
0x5a47, 0xcd,
0x5a48, 0xcd,
0x5a49, 0xcd,
0x5a4a, 0xcd,
0x5a4b, 0xcd,
0x5a4c, 0xcd,
0x5a4d, 0xcd,
0x5a4e, 0xcd,
0x5a4f, 0xcd,
0x5a50, 0xcd,
0x5a51, 0xcd,
0x5a52, 0xcd,
0x5a53, 0xcd,
0x5a54, 0xcd,
0x5a55, 0xcd,
0x5a56, 0xcd,
0x5a57, 0xcd,
0x5a58, 0xcd,
0x5a59, 0xcd,
0x5a5a, 0xcd,
0x5a5b, 0xcd,
0x5a5c, 0xcd,
0x5a5d, 0xcd,
0x5a5e, 0xcd,
0x5a5f, 0xcd,
0x5a60, 0xcd,
0x5a61, 0xcd,
0x5a62, 0xcd,
0x5a63, 0xcd,
0x5a64, 0xcd,
0x5a65, 0xcd,
0x5a66, 0xcd,
0x5a67, 0xcd,
0x5a68, 0xcd,
0x5a69, 0xcd,
0x5a6a, 0xcd,
0x5a6b, 0xcd,
0x5a6c, 0xcd,
0x5a6d, 0xcd,
0x5a6e, 0xcd,
0x5a6f, 0xcd,
0x5a70, 0xcd,
0x5a71, 0xcd,
0x5a72, 0xcd,
0x5a73, 0xcd,
0x5a74, 0xcd,
0x5a75, 0xcd,
0x5a76, 0xcd,
0x5a77, 0xcd,
0x5a78, 0xcd,
0x5a79, 0xcd,
0x5a7a, 0xcd,
0x5a7b, 0xcd,
0x5a7c, 0xcd,
0x5a7d, 0xcd,
0x5a7e, 0xcd,
0x5a7f, 0xcd,
0x5a80, 0xcd,
0x5a81, 0xcd,
0x5a82, 0xcd,
0x5a83, 0xcd,
0x5a84, 0xcd,
0x5a85, 0xcd,
0x5a86, 0xcd,
0x5a87, 0xcd,
0x5a88, 0xcd,
0x5a89, 0xcd,
0x5a8a, 0xcd,
0x5a8b, 0xcd,
0x5a8c, 0xcd,
0x5a8d, 0xcd,
0x5a8e, 0xcd,
0x5a8f, 0xcd,
0x5a90, 0xcd,
0x5a91, 0xcd,
0x5a92, 0xcd,
0x5a93, 0xcd,
0x5a94, 0xcd,
0x5a95, 0xcd,
0x5a96, 0xcd,
0x5a97, 0xcd,
0x5a98, 0xcd,
0x5a99, 0xcd,
0x5a9a, 0xcd,
0x5a9b, 0xcd,
0x5a9c, 0xcd,
0x5a9d, 0xcd,
0x5a9e, 0xcd,
0x5a9f, 0xcd,
0x5aa0, 0xcd,
0x5aa1, 0xcd,
0x5aa2, 0xcd,
0x5aa3, 0xcd,
0x5aa4, 0xcd,
0x5aa5, 0xcd,
0x5aa6, 0xcd,
0x5aa7, 0xcd,
0x5aa8, 0xcd,
0x5aa9, 0xcd,
0x5aaa, 0xcd,
0x5aab, 0xcd,
0x5aac, 0xcd,
0x5aad, 0xcd,
0x5aae, 0xcd,
0x5aaf, 0xcd,
0x5ab0, 0xcd,
0x5ab1, 0xcd,
0x5ab2, 0xcd,
0x5ab3, 0xcd,
0x5ab4, 0xcd,
0x5ab5, 0xcd,
0x5ab6, 0xcd,
0x5ab7, 0xcd,
0x5ab8, 0xcd,
0x5ab9, 0xcd,
0x5aba, 0xcd,
0x5abb, 0xcd,
0x5abc, 0xcd,
0x5abd, 0xcd,
0x5abe, 0xcd,
0x5abf, 0xcd,
0x5ac0, 0xcd,
0x5ac1, 0xcd,
0x5ac2, 0xcd,
0x5ac3, 0xcd,
0x5ac4, 0xcd,
0x5ac5, 0xcd,
0x5ac6, 0xcd,
0x5ac7, 0xcd,
0x5ac8, 0xcd,
0x5ac9, 0xcd,
0x5aca, 0xcd,
0x5acb, 0xcd,
0x5acc, 0xcd,
0x5acd, 0xcd,
0x5ace, 0xcd,
0x5acf, 0xcd,
0x5ad0, 0xcd,
0x5ad1, 0x40,
0x5ad2, 0x40,
0x5ad3, 0x40,
0x5ad4, 0x40,
0x5ad5, 0x40,
0x5ad6, 0x40,
0x5ad7, 0x40,
0x5ad8, 0x40,
0x5ad9, 0x40,
0x5ada, 0x40,
0x5adb, 0x40,
0x5adc, 0x40,
0x5add, 0x40,
0x5ade, 0x40,
0x5adf, 0x40,
0x5ae0, 0x40,
0x5ae1, 0x40,
0x5ae2, 0x40,
0x5ae3, 0x40,
0x5ae4, 0x40,
0x5ae5, 0x40,
0x5ae6, 0x40,
0x5ae7, 0x40,
0x5ae8, 0x40,
0x5ae9, 0x40,
0x5aea, 0x40,
0x5aeb, 0x40,
0x5aec, 0x40,
0x5aed, 0x40,
0x5aee, 0x40,
0x5aef, 0x40,
0x5af0, 0x40,
0x5af1, 0x40,
0x5af2, 0x40,
0x5af3, 0x40,
0x5af4, 0x40,
0x5af5, 0x40,
0x5af6, 0x40,
0x5af7, 0x40,
0x5af8, 0x40,
0x5af9, 0x40,
0x5afa, 0x40,
0x5afb, 0x40,
0x5afc, 0x40,
0x5afd, 0x40,
0x5afe, 0xcd,
0x5aff, 0xcd,
0x5b00, 0xcd,
0x5b01, 0xcd,
0x5b02, 0xcd,
0x5b03, 0xcd,
0x5b04, 0xcd,
0x5b05, 0xcd,
0x5b06, 0xcd,
0x5b07, 0xcd,
0x5b08, 0xcd,
0x5b09, 0xcd,
0x5b0a, 0xcd,
0x5b0b, 0xcd,
0x5b0c, 0xcd,
0x5b0d, 0xcd,
0x5b0e, 0xcd,
0x5b0f, 0xcd,
0x5b10, 0xcd,
0x5b11, 0xcd,
0x5b12, 0xcd,
0x5b13, 0xcd,
0x5b14, 0xcd,
0x5b15, 0xcd,
0x5b16, 0xcd,
0x5b17, 0xcd,
0x5b18, 0xcd,
0x5b19, 0xcd,
0x5b1a, 0xcd,
0x5b1b, 0xcd,
0x5b1c, 0xcd,
0x5b1d, 0xcd,
0x5b1e, 0xcd,
0x5b1f, 0xcd,
0x5b20, 0xcd,
0x5b21, 0xcd,
0x5b22, 0xcd,
0x5b23, 0xcd,
0x5b24, 0xcd,
0x5b25, 0xcd,
0x5b26, 0xcd,
0x5b27, 0xcd,
0x5b28, 0xcd,
0x5b29, 0xcd,
0x5b2a, 0xcd,
0x5b2b, 0xcd,
0x5b2c, 0xcd,
0x5b2d, 0xcd,
0x5b2e, 0xcd,
0x5b2f, 0xcd,
0x5b30, 0xcd,
0x5b31, 0xcd,
0x5b32, 0xcd,
0x5b33, 0xcd,
0x5b34, 0xcd,
0x5b35, 0xcd,
0x5b36, 0xcd,
0x5b37, 0xcd,
0x5b38, 0xcd,
0x5b39, 0xcd,
0x5b3a, 0xcd,
0x5b3b, 0xcd,
0x5b3c, 0xcd,
0x5b3d, 0xcd,
0x5b3e, 0xcd,
0x5b3f, 0xcd,
0x5b40, 0xcd,
0x5b41, 0xcd,
0x5b42, 0xcd,
0x5b43, 0xcd,
0x5b44, 0xcd,
0x5b45, 0xcd,
0x5b46, 0xcd,
0x5b47, 0xcd,
0x5b48, 0xcd,
0x5b49, 0xcd,
0x5b4a, 0xcd,
0x5b4b, 0xcd,
0x5b4c, 0xcd,
0x5b4d, 0xcd,
0x5b4e, 0xcd,
0x5b4f, 0xcd,
0x5b50, 0xcd,
0x5b51, 0xcd,
0x5b52, 0xcd,
0x5b53, 0xcd,
0x5b54, 0xcd,
0x5b55, 0xcd,
0x5b56, 0xcd,
0x5b57, 0xcd,
0x5b58, 0xcd,
0x5b59, 0xcd,
0x5b5a, 0xcd,
0x5b5b, 0xcd,
0x5b5c, 0xcd,
0x5b5d, 0xcd,
0x5b5e, 0xcd,
0x5b5f, 0xcd,
0x5b60, 0xcd,
0x5b61, 0xcd,
0x5b62, 0xcd,
0x5b63, 0xcd,
0x5b64, 0xcd,
0x5b65, 0xcd,
0x5b66, 0xcd,
0x5b67, 0xcd,
0x5b68, 0xcd,
0x5b69, 0xcd,
0x5b6a, 0xcd,
0x5b6b, 0xcd,
0x5b6c, 0xcd,
0x5b6d, 0xcd,
0x5b6e, 0xcd,
0x5b6f, 0xcd,
0x5b70, 0xcd,
0x5b71, 0xcd,
0x5b72, 0xcd,
0x5b73, 0xcd,
0x5b74, 0xcd,
0x5b75, 0xcd,
0x5b76, 0xcd,
0x5b77, 0xcd,
0x5b78, 0xcd,
0x5b79, 0xcd,
0x5b7a, 0xcd,
0x5b7b, 0xcd,
0x5b7c, 0xcd,
0x5b7d, 0xcd,
0x5b7e, 0xcd,
0x5b7f, 0xcd,
0x5b80, 0xcd,
0x5b81, 0xcd,
0x5b82, 0xcd,
0x5b83, 0xcd,
0x5b84, 0xcd,
0x5b85, 0xcd,
0x5b86, 0xcd,
0x5b87, 0xcd,
0x5b88, 0xcd,
0x5b89, 0xcd,
0x5b8a, 0xcd,
0x5b8b, 0xcd,
0x5b8c, 0xcd,
0x5b8d, 0xcd,
0x5b8e, 0xcd,
0x5b8f, 0xcd,
0x5b90, 0xcd,
0x5b91, 0xcd,
0x5b92, 0xcd,
0x5b93, 0xcd,
0x5b94, 0xcd,
0x5b95, 0xcd,
0x5b96, 0xcd,
0x5b97, 0xcd,
0x5b98, 0xcd,
0x5b99, 0xcd,
0x5b9a, 0xcd,
0x5b9b, 0xcd,
0x5b9c, 0xcd,
0x5b9d, 0xcd,
0x5b9e, 0xcd,
0x5b9f, 0xcd,
0x5ba0, 0xcd,
0x5ba1, 0xcd,
0x5ba2, 0xcd,
0x5ba3, 0xcd,
0x5ba4, 0xcd,
0x5ba5, 0xcd,
0x5ba6, 0xcd,
0x5ba7, 0xcd,
0x5ba8, 0xcd,
0x5ba9, 0xcd,
0x5baa, 0xcd,
0x5bab, 0xcd,
0x5bac, 0xcd,
0x5bad, 0xcd,
0x5bae, 0xcd,
0x5baf, 0xcd,
0x5bb0, 0xcd,
0x5bb1, 0xcd,
0x8007, 0x32,
0x8008, 0x4e,
0x800a, 0x6b,
0x8069, 0xaf,
0x806a, 0xda,
0x806b, 0x77,
0x806c, 0xda,
0x806d, 0xda,
0x8070, 0xde,
0x8073, 0xdc,
0x8075, 0xdc,
0x8077, 0xdc,
0x8079, 0xdc,
0x807b, 0xdc,
0x807d, 0xdc,
0x807f, 0xdc,
0x8081, 0x00,
0x8082, 0x00,
0x8083, 0x00,
0x8084, 0x00,
0x8085, 0x00,
0x8086, 0x00,
0x808c, 0x34,
0x808e, 0x34,
0x8090, 0x34,
0x8094, 0x34,
0x8096, 0x34,
0x8098, 0x34,
0x80ba, 0xe2,
0x80be, 0xe2,
0x80c2, 0xe2,
0x80c6, 0xe2,
0x80ca, 0xe2,
0x80ce, 0xe2,
0x80d2, 0xe2,
0x80d6, 0xe2,
0x80da, 0x48,
0x80de, 0x48,
0x80e2, 0x48,
0x80e6, 0x48,
0x80ea, 0x48,
0x80ee, 0x48,
0x80f2, 0x48,
0x80f6, 0x48,
0x80f9, 0x6f,
0x80fa, 0x75,
0x80fb, 0xd8,
0x80fc, 0xda,
0x80fd, 0x6f,
0x80fe, 0x75,
0x80ff, 0xd8,
0x8100, 0xda,
0x8101, 0x6f,
0x8102, 0x75,
0x8103, 0xd8,
0x8104, 0xda,
0x8105, 0x6f,
0x8106, 0x75,
0x8107, 0xd8,
0x8108, 0xda,
0x8123, 0x22,
0x8124, 0xe2,
0x812d, 0x8b,
0x812e, 0xdc,
0x8135, 0x4a,
0x8136, 0x54,
0x8137, 0x78,
0x8138, 0xbd,
0x813b, 0x22,
0x8140, 0x22,
0x8143, 0xe2,
0x8145, 0xe2,
0x8147, 0xe2,
0x8149, 0xe2,
0x814a, 0x48,
0x814b, 0xe2,
0x814c, 0x48,
0x814d, 0xe2,
0x814e, 0x48,
0x814f, 0x00,
0x8150, 0x00,
0x8153, 0x00,
0x8154, 0x00,
0x8157, 0x00,
0x8158, 0x00,
0x815b, 0x00,
0x815c, 0x00,
0x8168, 0x01,
0x817d, 0xd6,
0x817e, 0xdc,
0x8185, 0x6d,
0x8186, 0x77,
0x818e, 0xe0,
0x8197, 0x79,
0x8198, 0xab,
0x819b, 0x78,
0x819c, 0xad,
0x819f, 0x77,
0x81a0, 0x84,
0x81a3, 0x79,
0x81ab, 0x8c,
0x81af, 0x77,
0x81b0, 0x90,
0x81b3, 0x79,
0x81b4, 0x86,
0x81b7, 0x78,
0x81b8, 0x88,
0x81c8, 0x77,
0x81c9, 0x77,
0x81ca, 0xda,
0x81cb, 0xda,
0x81f9, 0x61,
0x81fa, 0x6b,
0x8203, 0xdb,
0x8204, 0xdf,
0x820b, 0x5f,
0x820c, 0x61,
0x820f, 0x6f,
0x8210, 0x75,
0x8211, 0xd8,
0x8212, 0xda,
0x8213, 0x6f,
0x8214, 0x75,
0x8215, 0xd8,
0x8216, 0xda,
0x8217, 0x6f,
0x8218, 0x75,
0x8219, 0xd8,
0x821a, 0xda,
0x821b, 0x6f,
0x821c, 0x75,
0x821d, 0xd8,
0x821e, 0xda,
0x8235, 0x4a,
0x8236, 0xdc,
0x8237, 0x00,
0x8238, 0x00,
0x8243, 0x02,
0x8244, 0xdc,
0x809a, 0x00,
0x809e, 0x00,
0x80a2, 0x00,
0x80a6, 0x00,
0x80aa, 0x00,
0x80ae, 0x00,
0x80b2, 0x00,
0x80b6, 0x00,
0x80b9, 0x00,
0x80bd, 0x00,
0x80c1, 0x00,
0x80c5, 0x00,
0x80c9, 0x00,
0x80cd, 0x00,
0x80d1, 0x00,
0x80d5, 0x00,
0x812c, 0x00,
0x812f, 0x00,
0x8130, 0x00,
0x8131, 0x00,
0x8132, 0x00,
0x8133, 0x00,
0x8134, 0x00,
0x8109, 0x5f,
0x810a, 0x67,
0x810b, 0xc8,
0x810c, 0xd2,
0x810f, 0x00,
0x8110, 0x00,
0x8111, 0x00,
0x8112, 0x00,
0x8115, 0x00,
0x8116, 0x00,
0x8117, 0x00,
0x8118, 0x00,
0x811b, 0x00,
0x811c, 0x00,
0x811d, 0x00,
0x811e, 0x00,
0x81f5, 0x8c,
0x81f6, 0x75,
0x8214, 0x76,
0x8218, 0x76,
0x821c, 0x76,
0x81c8, 0x34,
0x8230, 0x00,
0x821f, 0x12,
0x8220, 0x13,
0x8207, 0xeb,
0x8208, 0xef,
0x81a4, 0xa1,
0x81ac, 0xa3,
0x808a, 0x24,
0x8092, 0x28,
0x808c, 0x24,
0x8094, 0x28,
0x808e, 0x24,
0x8096, 0x28,
0x8090, 0x30,
0x8098, 0x34,
0x8241, 0xee,
0x823f, 0xee,
0x823d, 0xee,
0x823b, 0xee,
0x8239, 0xee,
0x8233, 0xee,
0x8231, 0xee,
0x822f, 0xee,
0x81bb, 0xde,
0x81bc, 0xe0,
0x800d, 0x70,
0x800e, 0x16,
0x8017, 0x97,
0x8010, 0x72,
0x8011, 0x03,
0x8013, 0x74,
0x8014, 0x13,
0x8016, 0xbd,
0x8019, 0xd8,
0x801a, 0x62,
0x801c, 0xec,
0x801d, 0x12,
0x81ed, 0x8c,
0x81ee, 0x71,
0x81f1, 0x8c,
0x81f2, 0x73,
0x81fb, 0x80,
0x81fc, 0x8a,
0x81ff, 0x90,
0x8200, 0x94,
0x812b, 0x6f,
0x8002, 0x20,
0x800b, 0x07,
0x8122, 0x1b,
0x821f, 0x07,
0x8220, 0x08,
0x817e, 0xef,


};
#if 0
static void load_capture_setting(void)
{
    table_write_cmos_sensor(capture_setting,
        sizeof(capture_setting)/sizeof(kal_uint16));
}


static kal_uint16 normal_video_setting[] = {
	 0x0100, 0x00,
};
static void load_normal_video_setting(void)
{
    table_write_cmos_sensor(normal_video_setting,
        sizeof(normal_video_setting)/sizeof(kal_uint16));
}
#endif
static kal_uint16 high_speed_video_setting[] = {
//drv add by lipengpeng 20240309 start 		
	0x0103,0x01,
	0x0102,0x01,
	0x0304,0x01,
	0x0305,0x39,
	0x0306,0x03,
	0x0307,0x00,
	0x0326,0xcb,
	0x0327,0x09,
	0x0345,0x13,
	0x034b,0x00,
	0x3012,0x31,
	0x3015,0x90,
	0x301a,0xd0,
	0x301e,0x88,
	0x3025,0x09,
	0x3044,0x02,
	0x3218,0xa1,
	0x3400,0x04,
	0x3401,0x00,
	0x3408,0x0c,
	0x3423,0x00,
	0x3424,0x15,
	0x3425,0x40,
	0x3426,0x10,
	0x3427,0x00,
	0x340e,0xff,
	0x3420,0x00,
	0x3421,0x08,
	0x3422,0x00,
	0x3500,0x00,
	0x3501,0x04,
	0x3502,0x84,
	0x3504,0x4c,
	0x3506,0x38,
	0x3507,0x00,
	0x3508,0x0f,
	0x3509,0x80,
	0x350a,0x01,
	0x350b,0x00,
	0x350c,0x00,
	0x3540,0x00,
	0x3541,0x00,
	0x3542,0x20,
	0x3544,0x48,
	0x3546,0x38,
	0x3548,0x04,
	0x3549,0x00,
	0x354a,0x01,
	0x354b,0x00,
	0x3580,0x00,
	0x3581,0x00,
	0x3582,0x10,
	0x3584,0x48,
	0x3586,0x38,
	0x3588,0x08,
	0x3589,0x00,
	0x358a,0x01,
	0x358b,0x00,
	0x3607,0x4c,
	0x360d,0x51,
	0x360e,0x51,
	0x360f,0xd0,
	0x3610,0x18,
	0x3612,0x4c,
	0x3613,0x3c,
	0x3615,0x0b,
	0x3617,0x83,
	0x3619,0x40,
	0x3618,0xc7,
	0x361a,0xd0,
	0x361d,0x12,
	0x361e,0x13,
	0x3625,0x80,
	0x3627,0x48,
	0x3628,0x48,
	0x3635,0x80,
	0x3642,0x29,
	0x3643,0x06,
	0x365d,0x02,
	0x365e,0x02,
	0x365f,0x99,
	0x3662,0x33,
	0x3684,0x00,
	0x3685,0x00,
	0x3688,0x00,
	0x3689,0x88,
	0x368a,0x2e,
	0x368e,0x70,
	0x3694,0x6f,
	0x3695,0x80,
	0x3696,0x51,
	0x369a,0x00,
	0x369b,0x00,
	0x369c,0x00,
	0x369d,0x14,
	0x369e,0x00,
	0x369f,0x04,
	0x36a2,0x00,
	0x36a3,0x00,
	0x36a4,0x00,
	0x36a6,0x00,
	0x36a7,0x00,
	0x36a8,0x00,
	0x36b1,0x24,
	0x36b3,0x24,
	0x36b5,0x24,
	0x36b7,0x24,
	0x36b9,0x24,
	0x36bb,0x24,
	0x36bd,0x24,
	0x36bf,0x24,
	0x36c1,0x24,
	0x36c3,0x24,
	0x3700,0x2e,
	0x3701,0x40,
	0x3702,0x70,
	0x3703,0x30,
	0x3706,0x2d,
	0x3708,0x3a,
	0x3709,0xe0,
	0x370b,0x54,
	0x3711,0x00,
	0x3712,0x50,
	0x3713,0x00,
	0x3714,0x62,
	0x3716,0x40,
	0x3717,0x02,
	0x371d,0x24,
	0x371e,0x13,
	0x371f,0x0c,
	0x3720,0x08,
	0x3721,0x15,
	0x3725,0x32,
	0x3728,0x01,
	0x3730,0x1b,
	0x3731,0x1b,
	0x3732,0x1b,
	0x3733,0x1b,
	0x3734,0x1b,
	0x3735,0x1b,
	0x3736,0x04,
	0x373c,0xb8,
	0x3743,0x00,
	0x3745,0xff,
	0x3746,0xff,
	0x3753,0x01,
	0x3754,0x14,
	0x3755,0x0c,
	0x375e,0x00,
	0x375f,0x02,
	0x3760,0x10,
	0x3761,0x10,
	0x3762,0x10,
	0x3763,0x10,
	0x3764,0x10,
	0x3765,0x10,
	0x3766,0x20,
	0x3767,0x30,
	0x3768,0x40,
	0x3769,0x50,
	0x376b,0x00,
	0x376f,0x02,
	0x3770,0x01,
	0x3779,0xb9,
	0x377a,0x02,
	0x3793,0x00,
	0x3795,0x00,
	0x3799,0x82,
	0x379b,0x82,
	0x37a2,0x15,
	0x37a5,0x00,
	0x37a6,0x00,
	0x37ff,0x00,
	0x3800,0x07,
	0x3801,0x80,
	0x3802,0x08,
	0x3803,0x80,
	0x3804,0x25,
	0x3805,0xff,
	0x3806,0x19,
	0x3807,0xaf,
	0x3808,0x07,
	0x3809,0x80,
	0x380a,0x04,
	0x380b,0x38,
	0x380c,0x01,
	0x380d,0x5e,
	0x380e,0x09,
	0x380f,0x48,
	0x3810,0x00,
	0x3811,0x11,
	0x3812,0x00,
	0x3813,0x0a,
	0x3814,0x11,
	0x3815,0x31,
	0x381a,0x02,
	0x381b,0x4a,
	0x381c,0x01,
	0x381d,0x5e,
	0x381f,0x02,
	0x3820,0x43,
	0x3821,0x15,
	0x3822,0x00,
	0x3823,0x04,
	0x3828,0x02,
	0x382e,0x41,
	0x3830,0x02,
	0x3831,0x00,
	0x3837,0x04,
	0x383e,0x00,
	0x383f,0x44,
	0x3840,0x00,
	0x3847,0x00,
	0x384a,0x00,
	0x384c,0x01,
	0x384d,0x5e,
	0x3856,0x00,
	0x3858,0x00,
	0x3859,0x00,
	0x3864,0x02,
	0x3867,0x08,
	0x3888,0x00,
	0x3889,0x00,
	0x388a,0x00,
	0x388b,0x02,
	0x388c,0x0f,
	0x388d,0x40,
	0x388e,0x04,
	0x388f,0x48,
	0x3894,0x00,
	0x3896,0x60,
	0x3899,0x20,
	0x3900,0x0f,
	0x3902,0x10,
	0x3903,0x10,
	0x3908,0x70,
	0x3909,0x70,
	0x390a,0x70,
	0x390b,0x70,
	0x390c,0xc8,
	0x390d,0xc8,
	0x390e,0xc8,
	0x390f,0x00,
	0x3917,0x03,
	0x3918,0x08,
	0x391a,0x03,
	0x391b,0xff,
	0x391c,0xc0,
	0x391f,0x06,
	0x3920,0x0c,
	0x3921,0x0e,
	0x3922,0x12,
	0x3923,0x12,
	0x3924,0x12,
	0x3927,0x4c,
	0x3928,0x2a,
	0x3929,0x16,
	0x392a,0x0e,
	0x392b,0x88,
	0x392c,0x88,
	0x392d,0x88,
	0x392e,0x3f,
	0x392f,0x3f,
	0x3930,0x3f,
	0x3931,0x3f,
	0x3932,0x3f,
	0x3933,0x3f,
	0x3934,0x00,
	0x3939,0x06,
	0x393a,0x06,
	0x393b,0x06,
	0x393c,0x04,
	0x393d,0x00,
	0x393e,0x00,
	0x393f,0x0e,
	0x3940,0x0e,
	0x3941,0x0e,
	0x3942,0x0e,
	0x3943,0x0e,
	0x3944,0x0e,
	0x3945,0x0f,
	0x3952,0x44,
	0x3953,0x44,
	0x3958,0x04,
	0x3959,0x08,
	0x395a,0x0c,
	0x395b,0x10,
	0x396b,0x62,
	0x396f,0x1f,
	0x3971,0x02,
	0x3973,0x10,
	0x3977,0x54,
	0x3987,0x00,
	0x39f0,0x80,
	0x39f6,0x10,
	0x39f8,0x00,
	0x39fa,0x0e,
	0x3d85,0x0b,
	0x3d8c,0x7b,
	0x3d8d,0xa0,
	0x3f00,0x10,
	0x4500,0x08,
	0x4502,0x00,
	0x4504,0x80,
	0x4505,0x00,
	0x4506,0x01,
	0x4507,0x01,
	0x4508,0x4b,
	0x4509,0x05,
	0x450c,0x00,
	0x450d,0x20,
	0x450e,0x00,
	0x450f,0x00,
	0x4510,0x01,
	0x4523,0x00,
	0x4526,0x00,
	0x4542,0x00,
	0x4543,0x00,
	0x4544,0x00,
	0x4545,0x00,
	0x4546,0x00,
	0x4547,0x10,
	0x4c00,0x22,
	0x4c50,0x02,
	0x4c51,0x06,
	0x4c52,0x02,
	0x4c53,0x06,
	0x4c54,0x00,
	0x4c55,0x02,
	0x4c56,0x04,
	0x4c57,0x06,
	0x4c58,0x01,
	0x4c59,0x00,
	0x4c5a,0x08,
	0x4c5b,0x08,
	0x4c5c,0x03,
	0x4c5d,0xc0,
	0x4c5e,0x02,
	0x4c5f,0x20,
	0x4c60,0x00,
	0x4c61,0x20,
	0x4c62,0x16,
	0x4c63,0x80,
	0x4c64,0x00,
	0x4c65,0x0a,
	0x4c66,0x08,
	0x4c67,0x78,
	0x4c68,0x0f,
	0x4c69,0x40,
	0x4c6a,0x04,
	0x4c6b,0x4c,
	0x4009,0x01,
	0x400e,0xc6,
	0x400f,0x00,
	0x4010,0x38,
	0x4011,0x00,
	0x4012,0x0c,
	0x4015,0x02,
	0x4016,0x05,
	0x4017,0x02,
	0x4018,0x05,
	0x401a,0x40,
	0x401b,0x04,
	0x401e,0x01,
	0x401f,0x30,
	0x4020,0x04,
	0x4021,0x00,
	0x4022,0x04,
	0x4023,0x00,
	0x4024,0x04,
	0x4025,0x00,
	0x4026,0x04,
	0x4027,0x00,
	0x4028,0x01,
	0x4029,0x08,
	0x4030,0x00,
	0x4031,0x00,
	0x4032,0x00,
	0x4033,0x00,
	0x4034,0x00,
	0x4035,0x00,
	0x4036,0x00,
	0x4037,0x00,
	0x4040,0x00,
	0x4041,0x2e,
	0x4042,0x00,
	0x4043,0x2e,
	0x4044,0x00,
	0x4045,0x2e,
	0x4046,0x00,
	0x4047,0x3e,
	0x4058,0x00,
	0x4059,0x00,
	0x405a,0x00,
	0x405b,0x00,
	0x405c,0x00,
	0x405d,0x00,
	0x405e,0x00,
	0x405f,0x00,
	0x40dc,0x03,
	0x40dd,0x7f,
	0x4100,0x00,
	0x4101,0x00,
	0x4103,0x00,
	0x4105,0x00,
	0x4288,0xa7,
	0x428e,0x00,
	0x4580,0x01,
	0x4581,0x10,
	0x4583,0x07,
	0x4584,0xa0,
	0x45c0,0x60,
	0x45c2,0x04,
	0x45cb,0x30,
	0x4602,0x00,
	0x4603,0x15,
	0x4609,0x20,
	0x460b,0x07,
	0x4640,0x00,
	0x4641,0x1e,
	0x4643,0x0c,
	0x4644,0xc0,
	0x4645,0xb4,
	0x464a,0x00,
	0x464b,0x00,
	0x464c,0x01,
	0x4680,0x19,
	0x4681,0x81,
	0x4683,0x2b,
	0x4686,0x00,
	0x4687,0x00,
	0x4688,0x00,
	0x4800,0x04,
	0x4802,0x02,
	0x481b,0x20,
	0x4829,0x64,
	0x4837,0x09,
	0x4850,0x42,
	0x4853,0x04,
	0x4860,0x01,
	0x4861,0xef,
	0x4862,0x26,
	0x4883,0x27,
	0x4884,0x19,
	0x4885,0x00,
	0x4888,0x00,
	0x4889,0x00,
	0x488a,0x00,
	0x4911,0x01,
	0x4920,0x04,
	0x4921,0x00,
	0x4922,0x04,
	0x4923,0x00,
	0x4924,0x04,
	0x4925,0x00,
	0x4926,0x04,
	0x4927,0x00,
	0x4930,0x00,
	0x4931,0x00,
	0x4932,0x00,
	0x4933,0x00,
	0x4934,0x00,
	0x4935,0x00,
	0x4936,0x00,
	0x4937,0x00,
	0x4940,0x00,
	0x4941,0x2e,
	0x4942,0x00,
	0x4943,0x2e,
	0x4944,0x00,
	0x4945,0x2e,
	0x4946,0x00,
	0x4947,0x3e,
	0x4a11,0x01,
	0x4a1a,0x40,
	0x4a20,0x04,
	0x4a21,0x00,
	0x4a22,0x04,
	0x4a23,0x00,
	0x4a24,0x04,
	0x4a25,0x00,
	0x4a26,0x04,
	0x4a27,0x00,
	0x4a30,0x00,
	0x4a31,0x00,
	0x4a32,0x00,
	0x4a33,0x00,
	0x4a34,0x00,
	0x4a35,0x00,
	0x4a36,0x00,
	0x4a37,0x00,
	0x4a40,0x00,
	0x4a41,0x2e,
	0x4a42,0x00,
	0x4a43,0x2e,
	0x4a44,0x00,
	0x4a45,0x2e,
	0x4a46,0x00,
	0x4a47,0x3e,
	0x4d00,0x04,
	0x4d01,0x96,
	0x4d02,0xbb,
	0x4d03,0x2b,
	0x4d04,0xd4,
	0x4d05,0xd0,
	0x6d0a,0x01,
	0x6d0b,0x30,
	0x6d0e,0x04,
	0x6d17,0x01,
	0x6d25,0x00,
	0x6d26,0x1f,
	0x6d27,0x00,
	0x6d28,0x00,
	0x6d29,0x01,
	0x6d2a,0x00,
	0x6d2b,0x00,
	0x6d2c,0x00,
	0x6d2d,0x00,
	0x6d2e,0x0f,
	0x6d2f,0xff,
	0x6d5e,0x10,
	0x6c00,0x00,
	0x6c02,0x00,
	0x6c06,0x00,
	0x6c07,0x00,
	0x6c09,0x06,
	0x5000,0xf5,
	0x5001,0x83,
	0x5002,0x11,
	0x5003,0x00,
	0x5004,0x80,
	0x5005,0x40,
	0x5006,0x80,
	0x5007,0x06,
	0x504f,0x02,
	0x5061,0x00,
	0x5063,0x08,
	0x5064,0x2d,
	0x5065,0x80,
	0x5066,0x22,
	0x5067,0x20,
	0x5068,0x02,
	0x5069,0x10,
	0x506a,0x10,
	0x506b,0x04,
	0x506c,0x06,
	0x506d,0x0c,
	0x506e,0x0e,
	0x506f,0x04,
	0x5070,0x04,
	0x5071,0x0c,
	0x5072,0x0c,
	0x5073,0x01,
	0x5074,0x01,
	0x5075,0xbb,
	0x5076,0x2d,
	0x5077,0x80,
	0x5078,0x22,
	0x5079,0x30,
	0x50c1,0x00,
	0x53c1,0x00,
	0x56c1,0x00,
	0x5110,0x00,
	0x5111,0x14,
	0x5112,0x0b,
	0x5113,0x6b,
	0x5410,0x00,
	0x5411,0x14,
	0x5412,0x0b,
	0x5413,0x6b,
	0x5710,0x00,
	0x5711,0x14,
	0x5712,0x0b,
	0x5713,0x6b,
	0x5152,0xa3,
	0x5452,0xa3,
	0x5752,0xa3,
	0x5180,0xc1,
	0x5184,0x18,
	0x5185,0x08,
	0x5186,0x08,
	0x5187,0x18,
	0x5188,0x08,
	0x5189,0x08,
	0x518a,0x08,
	0x518b,0x08,
	0x518e,0x04,
	0x518f,0x00,
	0x5480,0xc1,
	0x5484,0x18,
	0x5485,0x08,
	0x5486,0x08,
	0x5487,0x18,
	0x5488,0x08,
	0x5489,0x08,
	0x548a,0x08,
	0x548b,0x08,
	0x548e,0x04,
	0x548f,0x00,
	0x5780,0xc1,
	0x5784,0x18,
	0x5785,0x08,
	0x5786,0x08,
	0x5787,0x18,
	0x5788,0x08,
	0x5789,0x08,
	0x578a,0x08,
	0x578b,0x08,
	0x578e,0x04,
	0x578f,0x00,
	0x51b0,0x30,
	0x54b0,0x30,
	0x57b0,0x30,
	0x51d0,0xf2,
	0x51d1,0x20,
	0x51d2,0xef,
	0x51d3,0x04,
	0x51d8,0x08,
	0x51d9,0x04,
	0x51da,0x02,
	0x51db,0x02,
	0x51dc,0x06,
	0x51dd,0x06,
	0x51de,0x00,
	0x51df,0x00,
	0x51e0,0x02,
	0x51e1,0x02,
	0x51e2,0x00,
	0x51e3,0x00,
	0x51e4,0xff,
	0x51e9,0xff,
	0x51f4,0xaa,
	0x51f8,0x16,
	0x51f9,0xc0,
	0x51fa,0x08,
	0x51fb,0x8c,
	0x51fc,0x00,
	0x51fd,0x20,
	0x51fe,0x00,
	0x51ff,0x0a,
	0x5200,0x16,
	0x5201,0x80,
	0x5202,0x08,
	0x5203,0x78,
	0x5205,0x08,
	0x54d0,0x32,
	0x54d1,0x20,
	0x54d2,0x84,
	0x54d3,0x00,
	0x54e4,0xff,
	0x54e9,0xff,
	0x57d0,0x32,
	0x57d1,0x20,
	0x57d2,0x84,
	0x57d3,0x00,
	0x57e4,0xff,
	0x57e9,0xff,
	0x5250,0x14,
	0x5251,0x00,
	0x5253,0x00,
	0x527a,0x00,
	0x527b,0x2d,
	0x527c,0x00,
	0x527d,0x3c,
	0x5290,0x01,
	0x5291,0x00,
	0x5292,0x00,
	0x5293,0x50,
	0x5294,0x00,
	0x5295,0x50,
	0x5296,0x00,
	0x5297,0x50,
	0x5298,0x00,
	0x5299,0x50,
	0x529a,0x01,
	0x529b,0x00,
	0x529c,0x00,
	0x529d,0x50,
	0x529e,0x00,
	0x529f,0x50,
	0x52a0,0x00,
	0x52a1,0x50,
	0x52a2,0x00,
	0x52a3,0x50,
	0x52f0,0x01,
	0x52f1,0x02,
	0x52f2,0x03,
	0x52f3,0x04,
	0x52f4,0x05,
	0x52f5,0x06,
	0x52f6,0x07,
	0x52f7,0x08,
	0x52f8,0x09,
	0x52f9,0x0a,
	0x5331,0x02,
	0x5332,0x42,
	0x5333,0x24,
	0x5550,0x14,
	0x5553,0x00,
	0x55f0,0x01,
	0x55f1,0x02,
	0x55f2,0x03,
	0x55f3,0x04,
	0x55f4,0x05,
	0x55f5,0x06,
	0x55f6,0x07,
	0x55f7,0x08,
	0x55f8,0x09,
	0x55f9,0x0a,
	0x5631,0x02,
	0x5632,0x42,
	0x5633,0x24,
	0x5850,0x14,
	0x5853,0x00,
	0x58f0,0x01,
	0x58f1,0x02,
	0x58f2,0x03,
	0x58f3,0x04,
	0x58f4,0x05,
	0x58f5,0x06,
	0x58f6,0x07,
	0x58f7,0x08,
	0x58f8,0x09,
	0x58f9,0x0a,
	0x5931,0x02,
	0x5932,0x42,
	0x5933,0x24,
	0x5350,0x0f,
	0x5351,0xb4,
	0x5352,0x0b,
	0x5353,0xcc,
	0x5358,0x00,
	0x5359,0x00,
	0x5370,0x04,
	0x535a,0x03,
	0x59f0,0x40,
	0x59f1,0x40,
	0x59f2,0x40,
	0x59f3,0x40,
	0x59f4,0x40,
	0x59f5,0x40,
	0x59f6,0x40,
	0x59f7,0x40,
	0x59f8,0x40,
	0x59f9,0x40,
	0x59fa,0x40,
	0x59fb,0x40,
	0x59fc,0x40,
	0x59fd,0x40,
	0x59fe,0x40,
	0x59ff,0x40,
	0x5a00,0x40,
	0x5a01,0x40,
	0x5a02,0x40,
	0x5a03,0x40,
	0x5a04,0x40,
	0x5a05,0x40,
	0x5a06,0x40,
	0x5a07,0x40,
	0x5a08,0x40,
	0x5a09,0x40,
	0x5a0a,0x40,
	0x5a0b,0x40,
	0x5a0c,0x40,
	0x5a0d,0x40,
	0x5a0e,0x40,
	0x5a0f,0x40,
	0x5a10,0x40,
	0x5a11,0x40,
	0x5a12,0x40,
	0x5a13,0x40,
	0x5a14,0x40,
	0x5a15,0x40,
	0x5a16,0x40,
	0x5a17,0x40,
	0x5a18,0x40,
	0x5a19,0x40,
	0x5a1a,0x40,
	0x5a1b,0x40,
	0x5a1c,0x40,
	0x5a1d,0xcd,
	0x5a1e,0xcd,
	0x5a1f,0xcd,
	0x5a20,0xcd,
	0x5a21,0xcd,
	0x5a22,0xcd,
	0x5a23,0xcd,
	0x5a24,0xcd,
	0x5a25,0xcd,
	0x5a26,0xcd,
	0x5a27,0xcd,
	0x5a28,0xcd,
	0x5a29,0xcd,
	0x5a2a,0xcd,
	0x5a2b,0xcd,
	0x5a2c,0xcd,
	0x5a2d,0xcd,
	0x5a2e,0xcd,
	0x5a2f,0xcd,
	0x5a30,0xcd,
	0x5a31,0xcd,
	0x5a32,0xcd,
	0x5a33,0xcd,
	0x5a34,0xcd,
	0x5a35,0xcd,
	0x5a36,0xcd,
	0x5a37,0xcd,
	0x5a38,0xcd,
	0x5a39,0xcd,
	0x5a3a,0xcd,
	0x5a3b,0xcd,
	0x5a3c,0xcd,
	0x5a3d,0xcd,
	0x5a3e,0xcd,
	0x5a3f,0xcd,
	0x5a40,0xcd,
	0x5a41,0xcd,
	0x5a42,0xcd,
	0x5a43,0xcd,
	0x5a44,0xcd,
	0x5a45,0xcd,
	0x5a46,0xcd,
	0x5a47,0xcd,
	0x5a48,0xcd,
	0x5a49,0xcd,
	0x5a4a,0xcd,
	0x5a4b,0xcd,
	0x5a4c,0xcd,
	0x5a4d,0xcd,
	0x5a4e,0xcd,
	0x5a4f,0xcd,
	0x5a50,0xcd,
	0x5a51,0xcd,
	0x5a52,0xcd,
	0x5a53,0xcd,
	0x5a54,0xcd,
	0x5a55,0xcd,
	0x5a56,0xcd,
	0x5a57,0xcd,
	0x5a58,0xcd,
	0x5a59,0xcd,
	0x5a5a,0xcd,
	0x5a5b,0xcd,
	0x5a5c,0xcd,
	0x5a5d,0xcd,
	0x5a5e,0xcd,
	0x5a5f,0xcd,
	0x5a60,0xcd,
	0x5a61,0xcd,
	0x5a62,0xcd,
	0x5a63,0xcd,
	0x5a64,0xcd,
	0x5a65,0xcd,
	0x5a66,0xcd,
	0x5a67,0xcd,
	0x5a68,0xcd,
	0x5a69,0xcd,
	0x5a6a,0xcd,
	0x5a6b,0xcd,
	0x5a6c,0xcd,
	0x5a6d,0xcd,
	0x5a6e,0xcd,
	0x5a6f,0xcd,
	0x5a70,0xcd,
	0x5a71,0xcd,
	0x5a72,0xcd,
	0x5a73,0xcd,
	0x5a74,0xcd,
	0x5a75,0xcd,
	0x5a76,0xcd,
	0x5a77,0xcd,
	0x5a78,0xcd,
	0x5a79,0xcd,
	0x5a7a,0xcd,
	0x5a7b,0xcd,
	0x5a7c,0xcd,
	0x5a7d,0xcd,
	0x5a7e,0xcd,
	0x5a7f,0xcd,
	0x5a80,0xcd,
	0x5a81,0xcd,
	0x5a82,0xcd,
	0x5a83,0xcd,
	0x5a84,0xcd,
	0x5a85,0xcd,
	0x5a86,0xcd,
	0x5a87,0xcd,
	0x5a88,0xcd,
	0x5a89,0xcd,
	0x5a8a,0xcd,
	0x5a8b,0xcd,
	0x5a8c,0xcd,
	0x5a8d,0xcd,
	0x5a8e,0xcd,
	0x5a8f,0xcd,
	0x5a90,0xcd,
	0x5a91,0xcd,
	0x5a92,0xcd,
	0x5a93,0xcd,
	0x5a94,0xcd,
	0x5a95,0xcd,
	0x5a96,0xcd,
	0x5a97,0xcd,
	0x5a98,0xcd,
	0x5a99,0xcd,
	0x5a9a,0xcd,
	0x5a9b,0xcd,
	0x5a9c,0xcd,
	0x5a9d,0xcd,
	0x5a9e,0xcd,
	0x5a9f,0xcd,
	0x5aa0,0xcd,
	0x5aa1,0xcd,
	0x5aa2,0xcd,
	0x5aa3,0xcd,
	0x5aa4,0xcd,
	0x5aa5,0xcd,
	0x5aa6,0xcd,
	0x5aa7,0xcd,
	0x5aa8,0xcd,
	0x5aa9,0xcd,
	0x5aaa,0xcd,
	0x5aab,0xcd,
	0x5aac,0xcd,
	0x5aad,0xcd,
	0x5aae,0xcd,
	0x5aaf,0xcd,
	0x5ab0,0xcd,
	0x5ab1,0xcd,
	0x5ab2,0xcd,
	0x5ab3,0xcd,
	0x5ab4,0xcd,
	0x5ab5,0xcd,
	0x5ab6,0xcd,
	0x5ab7,0xcd,
	0x5ab8,0xcd,
	0x5ab9,0xcd,
	0x5aba,0xcd,
	0x5abb,0xcd,
	0x5abc,0xcd,
	0x5abd,0xcd,
	0x5abe,0xcd,
	0x5abf,0xcd,
	0x5ac0,0xcd,
	0x5ac1,0xcd,
	0x5ac2,0xcd,
	0x5ac3,0xcd,
	0x5ac4,0xcd,
	0x5ac5,0xcd,
	0x5ac6,0xcd,
	0x5ac7,0xcd,
	0x5ac8,0xcd,
	0x5ac9,0xcd,
	0x5aca,0xcd,
	0x5acb,0xcd,
	0x5acc,0xcd,
	0x5acd,0xcd,
	0x5ace,0xcd,
	0x5acf,0xcd,
	0x5ad0,0xcd,
	0x5ad1,0x40,
	0x5ad2,0x40,
	0x5ad3,0x40,
	0x5ad4,0x40,
	0x5ad5,0x40,
	0x5ad6,0x40,
	0x5ad7,0x40,
	0x5ad8,0x40,
	0x5ad9,0x40,
	0x5ada,0x40,
	0x5adb,0x40,
	0x5adc,0x40,
	0x5add,0x40,
	0x5ade,0x40,
	0x5adf,0x40,
	0x5ae0,0x40,
	0x5ae1,0x40,
	0x5ae2,0x40,
	0x5ae3,0x40,
	0x5ae4,0x40,
	0x5ae5,0x40,
	0x5ae6,0x40,
	0x5ae7,0x40,
	0x5ae8,0x40,
	0x5ae9,0x40,
	0x5aea,0x40,
	0x5aeb,0x40,
	0x5aec,0x40,
	0x5aed,0x40,
	0x5aee,0x40,
	0x5aef,0x40,
	0x5af0,0x40,
	0x5af1,0x40,
	0x5af2,0x40,
	0x5af3,0x40,
	0x5af4,0x40,
	0x5af5,0x40,
	0x5af6,0x40,
	0x5af7,0x40,
	0x5af8,0x40,
	0x5af9,0x40,
	0x5afa,0x40,
	0x5afb,0x40,
	0x5afc,0x40,
	0x5afd,0x40,
	0x5afe,0xcd,
	0x5aff,0xcd,
	0x5b00,0xcd,
	0x5b01,0xcd,
	0x5b02,0xcd,
	0x5b03,0xcd,
	0x5b04,0xcd,
	0x5b05,0xcd,
	0x5b06,0xcd,
	0x5b07,0xcd,
	0x5b08,0xcd,
	0x5b09,0xcd,
	0x5b0a,0xcd,
	0x5b0b,0xcd,
	0x5b0c,0xcd,
	0x5b0d,0xcd,
	0x5b0e,0xcd,
	0x5b0f,0xcd,
	0x5b10,0xcd,
	0x5b11,0xcd,
	0x5b12,0xcd,
	0x5b13,0xcd,
	0x5b14,0xcd,
	0x5b15,0xcd,
	0x5b16,0xcd,
	0x5b17,0xcd,
	0x5b18,0xcd,
	0x5b19,0xcd,
	0x5b1a,0xcd,
	0x5b1b,0xcd,
	0x5b1c,0xcd,
	0x5b1d,0xcd,
	0x5b1e,0xcd,
	0x5b1f,0xcd,
	0x5b20,0xcd,
	0x5b21,0xcd,
	0x5b22,0xcd,
	0x5b23,0xcd,
	0x5b24,0xcd,
	0x5b25,0xcd,
	0x5b26,0xcd,
	0x5b27,0xcd,
	0x5b28,0xcd,
	0x5b29,0xcd,
	0x5b2a,0xcd,
	0x5b2b,0xcd,
	0x5b2c,0xcd,
	0x5b2d,0xcd,
	0x5b2e,0xcd,
	0x5b2f,0xcd,
	0x5b30,0xcd,
	0x5b31,0xcd,
	0x5b32,0xcd,
	0x5b33,0xcd,
	0x5b34,0xcd,
	0x5b35,0xcd,
	0x5b36,0xcd,
	0x5b37,0xcd,
	0x5b38,0xcd,
	0x5b39,0xcd,
	0x5b3a,0xcd,
	0x5b3b,0xcd,
	0x5b3c,0xcd,
	0x5b3d,0xcd,
	0x5b3e,0xcd,
	0x5b3f,0xcd,
	0x5b40,0xcd,
	0x5b41,0xcd,
	0x5b42,0xcd,
	0x5b43,0xcd,
	0x5b44,0xcd,
	0x5b45,0xcd,
	0x5b46,0xcd,
	0x5b47,0xcd,
	0x5b48,0xcd,
	0x5b49,0xcd,
	0x5b4a,0xcd,
	0x5b4b,0xcd,
	0x5b4c,0xcd,
	0x5b4d,0xcd,
	0x5b4e,0xcd,
	0x5b4f,0xcd,
	0x5b50,0xcd,
	0x5b51,0xcd,
	0x5b52,0xcd,
	0x5b53,0xcd,
	0x5b54,0xcd,
	0x5b55,0xcd,
	0x5b56,0xcd,
	0x5b57,0xcd,
	0x5b58,0xcd,
	0x5b59,0xcd,
	0x5b5a,0xcd,
	0x5b5b,0xcd,
	0x5b5c,0xcd,
	0x5b5d,0xcd,
	0x5b5e,0xcd,
	0x5b5f,0xcd,
	0x5b60,0xcd,
	0x5b61,0xcd,
	0x5b62,0xcd,
	0x5b63,0xcd,
	0x5b64,0xcd,
	0x5b65,0xcd,
	0x5b66,0xcd,
	0x5b67,0xcd,
	0x5b68,0xcd,
	0x5b69,0xcd,
	0x5b6a,0xcd,
	0x5b6b,0xcd,
	0x5b6c,0xcd,
	0x5b6d,0xcd,
	0x5b6e,0xcd,
	0x5b6f,0xcd,
	0x5b70,0xcd,
	0x5b71,0xcd,
	0x5b72,0xcd,
	0x5b73,0xcd,
	0x5b74,0xcd,
	0x5b75,0xcd,
	0x5b76,0xcd,
	0x5b77,0xcd,
	0x5b78,0xcd,
	0x5b79,0xcd,
	0x5b7a,0xcd,
	0x5b7b,0xcd,
	0x5b7c,0xcd,
	0x5b7d,0xcd,
	0x5b7e,0xcd,
	0x5b7f,0xcd,
	0x5b80,0xcd,
	0x5b81,0xcd,
	0x5b82,0xcd,
	0x5b83,0xcd,
	0x5b84,0xcd,
	0x5b85,0xcd,
	0x5b86,0xcd,
	0x5b87,0xcd,
	0x5b88,0xcd,
	0x5b89,0xcd,
	0x5b8a,0xcd,
	0x5b8b,0xcd,
	0x5b8c,0xcd,
	0x5b8d,0xcd,
	0x5b8e,0xcd,
	0x5b8f,0xcd,
	0x5b90,0xcd,
	0x5b91,0xcd,
	0x5b92,0xcd,
	0x5b93,0xcd,
	0x5b94,0xcd,
	0x5b95,0xcd,
	0x5b96,0xcd,
	0x5b97,0xcd,
	0x5b98,0xcd,
	0x5b99,0xcd,
	0x5b9a,0xcd,
	0x5b9b,0xcd,
	0x5b9c,0xcd,
	0x5b9d,0xcd,
	0x5b9e,0xcd,
	0x5b9f,0xcd,
	0x5ba0,0xcd,
	0x5ba1,0xcd,
	0x5ba2,0xcd,
	0x5ba3,0xcd,
	0x5ba4,0xcd,
	0x5ba5,0xcd,
	0x5ba6,0xcd,
	0x5ba7,0xcd,
	0x5ba8,0xcd,
	0x5ba9,0xcd,
	0x5baa,0xcd,
	0x5bab,0xcd,
	0x5bac,0xcd,
	0x5bad,0xcd,
	0x5bae,0xcd,
	0x5baf,0xcd,
	0x5bb0,0xcd,
	0x5bb1,0xcd,
	0x8007,0x32,
	0x8008,0x4e,
	0x800a,0x6b,
	0x8069,0xaf,
	0x806a,0xda,
	0x806b,0x77,
	0x806c,0xda,
	0x806d,0xda,
	0x8070,0xde,
	0x8073,0xdc,
	0x8075,0xdc,
	0x8077,0xdc,
	0x8079,0xdc,
	0x807b,0xdc,
	0x807d,0xdc,
	0x807f,0xdc,
	0x8081,0x00,
	0x8082,0x00,
	0x8083,0x00,
	0x8084,0x00,
	0x8085,0x00,
	0x8086,0x00,
	0x808c,0x34,
	0x808e,0x34,
	0x8090,0x34,
	0x8094,0x34,
	0x8096,0x34,
	0x8098,0x34,
	0x80ba,0xe2,
	0x80be,0xe2,
	0x80c2,0xe2,
	0x80c6,0xe2,
	0x80ca,0xe2,
	0x80ce,0xe2,
	0x80d2,0xe2,
	0x80d6,0xe2,
	0x80da,0x48,
	0x80de,0x48,
	0x80e2,0x48,
	0x80e6,0x48,
	0x80ea,0x48,
	0x80ee,0x48,
	0x80f2,0x48,
	0x80f6,0x48,
	0x80f9,0x6f,
	0x80fa,0x75,
	0x80fb,0xd8,
	0x80fc,0xda,
	0x80fd,0x6f,
	0x80fe,0x75,
	0x80ff,0xd8,
	0x8100,0xda,
	0x8101,0x6f,
	0x8102,0x75,
	0x8103,0xd8,
	0x8104,0xda,
	0x8105,0x6f,
	0x8106,0x75,
	0x8107,0xd8,
	0x8108,0xda,
	0x8123,0x22,
	0x8124,0xe2,
	0x812d,0x8b,
	0x812e,0xdc,
	0x8135,0x4a,
	0x8136,0x54,
	0x8137,0x78,
	0x8138,0xbd,
	0x813b,0x22,
	0x8140,0x22,
	0x8143,0xe2,
	0x8145,0xe2,
	0x8147,0xe2,
	0x8149,0xe2,
	0x814a,0x48,
	0x814b,0xe2,
	0x814c,0x48,
	0x814d,0xe2,
	0x814e,0x48,
	0x814f,0x00,
	0x8150,0x00,
	0x8153,0x00,
	0x8154,0x00,
	0x8157,0x00,
	0x8158,0x00,
	0x815b,0x00,
	0x815c,0x00,
	0x8168,0x01,
	0x817d,0xd6,
	0x817e,0xdc,
	0x8185,0x6d,
	0x8186,0x77,
	0x818e,0xe0,
	0x8197,0x79,
	0x8198,0xab,
	0x819b,0x78,
	0x819c,0xad,
	0x819f,0x77,
	0x81a0,0x84,
	0x81a3,0x79,
	0x81ab,0x8c,
	0x81af,0x77,
	0x81b0,0x90,
	0x81b3,0x79,
	0x81b4,0x86,
	0x81b7,0x78,
	0x81b8,0x88,
	0x81c8,0x77,
	0x81c9,0x77,
	0x81ca,0xda,
	0x81cb,0xda,
	0x81f9,0x61,
	0x81fa,0x6b,
	0x8203,0xdb,
	0x8204,0xdf,
	0x820b,0x5f,
	0x820c,0x61,
	0x820f,0x6f,
	0x8210,0x75,
	0x8211,0xd8,
	0x8212,0xda,
	0x8213,0x6f,
	0x8214,0x75,
	0x8215,0xd8,
	0x8216,0xda,
	0x8217,0x6f,
	0x8218,0x75,
	0x8219,0xd8,
	0x821a,0xda,
	0x821b,0x6f,
	0x821c,0x75,
	0x821d,0xd8,
	0x821e,0xda,
	0x8235,0x4a,
	0x8236,0xdc,
	0x8237,0x00,
	0x8238,0x00,
	0x8243,0x02,
	0x8244,0xdc,
	0x809a,0x00,
	0x809e,0x00,
	0x80a2,0x00,
	0x80a6,0x00,
	0x80aa,0x00,
	0x80ae,0x00,
	0x80b2,0x00,
	0x80b6,0x00,
	0x80b9,0x00,
	0x80bd,0x00,
	0x80c1,0x00,
	0x80c5,0x00,
	0x80c9,0x00,
	0x80cd,0x00,
	0x80d1,0x00,
	0x80d5,0x00,
	0x812c,0x00,
	0x812f,0x00,
	0x8130,0x00,
	0x8131,0x00,
	0x8132,0x00,
	0x8133,0x00,
	0x8134,0x00,
	0x8109,0x5f,
	0x810a,0x67,
	0x810b,0xc8,
	0x810c,0xd2,
	0x810f,0x00,
	0x8110,0x00,
	0x8111,0x00,
	0x8112,0x00,
	0x8115,0x00,
	0x8116,0x00,
	0x8117,0x00,
	0x8118,0x00,
	0x811b,0x00,
	0x811c,0x00,
	0x811d,0x00,
	0x811e,0x00,
	0x81f5,0x8c,
	0x81f6,0x75,
	0x8214,0x76,
	0x8218,0x76,
	0x821c,0x76,
	0x81c8,0x34,
	0x8230,0x00,
	0x821f,0x12,
	0x8220,0x13,
	0x8207,0xeb,
	0x8208,0xef,
	0x81a4,0xa1,
	0x81ac,0xa3,
	0x808a,0x24,
	0x8092,0x28,
	0x808c,0x24,
	0x8094,0x28,
	0x808e,0x24,
	0x8096,0x28,
	0x8090,0x30,
	0x8098,0x34,
	0x8241,0xee,
	0x823f,0xee,
	0x823d,0xee,
	0x823b,0xee,
	0x8239,0xee,
	0x8233,0xee,
	0x8231,0xee,
	0x822f,0xee,
	0x81bb,0xde,
	0x81bc,0xe0,
	0x800d,0x70,
	0x800e,0x16,
	0x8017,0x97,
	0x8010,0x72,
	0x8011,0x03,
	0x8013,0x74,
	0x8014,0x13,
	0x8016,0xbd,
	0x8019,0xd8,
	0x801a,0x62,
	0x801c,0xec,
	0x801d,0x12,
	0x81ed,0x8c,
	0x81ee,0x71,
	0x81f1,0x8c,
	0x81f2,0x73,
	0x81fb,0x80,
	0x81fc,0x8a,
	0x81ff,0x90,
	0x8200,0x94,
	0x812b,0x6f,
	0x8002,0x20,
	0x800b,0x07,
	0x8122,0x1b,
	0x817e,0xef,
	0x0100,0x01,
//drv add by lipengpeng 20240309 end 
};
static void load_high_speed_video_setting(void)
{
    table_write_cmos_sensor(high_speed_video_setting,
        sizeof(high_speed_video_setting)/sizeof(kal_uint16));
}

static kal_uint16 slim_video_setting[] = {
	0x0100, 0x00,
};
static void load_slim_video_setting(void)
{
    table_write_cmos_sensor(slim_video_setting,
        sizeof(slim_video_setting)/sizeof(kal_uint16));
}

static kal_uint16 custom1_setting[] = {
	0x0100, 0x00,
};
static void load_custom1_setting(void)
{
    table_write_cmos_sensor(custom1_setting,
        sizeof(custom1_setting)/sizeof(kal_uint16));
}

static kal_uint16 custom2_setting[] = {
	0x0100, 0x00,
};
static void load_custom2_setting(void)
{
    table_write_cmos_sensor(custom2_setting,
        sizeof(custom2_setting)/sizeof(kal_uint16));
}

static kal_uint16 custom3_setting[] = {
	0x0100, 0x00,
};
static void load_custom3_setting(void)
{
    table_write_cmos_sensor(custom3_setting,
        sizeof(custom3_setting)/sizeof(kal_uint16));
}

static kal_uint16 custom4_setting[] = {
	0x0100, 0x00,
};
static void load_custom4_setting(void)
{
    table_write_cmos_sensor(custom4_setting,
        sizeof(custom4_setting)/sizeof(kal_uint16));
}

static kal_uint16 custom5_setting[] = {
	0x0100, 0x00,
};
static void load_custom5_setting(void)
{
    table_write_cmos_sensor(custom5_setting,
        sizeof(custom5_setting)/sizeof(kal_uint16));
}

#endif

